<?php
/*
Plugin Name: Clever YouTube Plugin 1.30
Version: 1.30
Plugin URI: http://CleverGizmos.com
Description: Control the way YouTube videos are displayed on your website.
Author: CleverGizmos.com
Author URI: http://CleverGizmos.com/
*/

require_once ('global.php');
require_once ('the_settings_page.php');
require_once ('the_rendering.php');
require_once ('the_meta_box.php');
require_once ('the_help_text.php');
require 'plugin-updates/plugin-update-checker.php';

$UpdateChecker = new PluginUpdateChecker(
	'http://clevergizmos.com/resources/products/0-clever-youtube-plugin-update.json',
	__FILE__
);

function func_load_stuff_in_the_admin_screen_head_tag() {
?>
	<script type="text/javascript" src="<?php echo(plugin_dir_url(__FILE__) . 'global.js'); ?>"></script>
	<script language="javascript">
	
		function SaveYourWork() { 

			// The media uploader calls this so we gotta check if the variable exists
			if (typeof the_user_has_unsaved_work != "undefined")
			{
		
				if ( the_user_has_unsaved_work )
				{ 
					return('You didn\'t save your Clever YouTube Plugin settings yet. Your changes will be lost if you leave this page.');
				} 
			}
			
		}
			
		window.onbeforeunload=SaveYourWork;
		
	</script>
    
<?php
}

add_action( 'admin_head', 'func_load_stuff_in_the_admin_screen_head_tag' );

function func_load_CYT_resources() {
	
	// add global variables
	?>
	<script type="text/javascript">
		var cleveryoutube_queue = [];
	</script>
	<?php

	// my javascript and css
	wp_enqueue_script('doccookies', plugin_dir_url(__FILE__). 'cookies.js');
	wp_enqueue_script('myscript', plugin_dir_url(__FILE__). 'global.js');
	wp_enqueue_style('mystyle', plugin_dir_url(__FILE__). 'global.css');
	wp_enqueue_style('client-style', plugin_dir_url(__FILE__). 'cyp-styles.css');
	
	// http://www.webmaster-source.com/2010/01/08/using-the-wordpress-uploader-in-your-plugin-or-theme/
	wp_enqueue_style('thickbox');		
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_script('my-upload');	
	
	wp_enqueue_script('jquery');
	
	wp_enqueue_script('client-script', plugin_dir_url(__FILE__). 'cyp-client.js');
}

add_action('admin_print_scripts', 'func_load_CYT_resources');
add_action('admin_print_styles', 'func_load_CYT_resources');
add_action('wp_enqueue_scripts','func_load_CYT_resources'); 
add_action('wp_enqueue_styles','func_load_CYT_resources'); 
add_action('admin_head','func_load_CYT_resources'); 

function func_to_print_the_plugin_settings_link($links) { 
	$settings_link = admin_url() . 'admin.php?page=' . plugin_basename(__FILE__); 
	$settings_link = '<a href="' . $settings_link . '" title="Click here to set your video properties.">Settings</a>'; 
	array_unshift($links, $settings_link); 
	return $links; 
}
add_filter("plugin_action_links_" . plugin_basename(__FILE__), 'func_to_print_the_plugin_settings_link' );

function func_to_add_CYT_meta_box() {
	// Add a metabox to posts and pages.
	add_meta_box( 'my-meta-box-id', 'Clever YouTube Plugin (Shortcode Generator)', 'func_to_draw_the_CYT_metabox', 'post', 'normal', 'high' );
	add_meta_box( 'my-meta-box-id', 'Clever YouTube Plugin (Shortcode Generator)', 'func_to_draw_the_CYT_metabox', 'page', 'normal', 'high' );	
}
add_action('add_meta_boxes', 'func_to_add_CYT_meta_box');

function func_to_setup_CYT_settings_page() {
	// Add the plugin to the left WordPress menu.
	add_menu_page('Clever YouTube Plugin Settings', 'Clever YouTube', 'administrator', __FILE__, 'draw_my_yt_settings_page', plugins_url('/images/icons/main-star.png', __FILE__));
}
add_action('admin_menu', 'func_to_setup_CYT_settings_page');

function the_plugin_version() {
	// This function must be run from THIS page!
	$plugin_data = get_plugin_data( __FILE__ );
	echo $plugin_data['Version'];	
}

// ================================================================
// Shortcode Stuff
// http://codex.wordpress.org/Function_Reference/do_shortcode
// ================================================================
add_shortcode('cleveryoutube', 'func_to_draw_the_videos');

// Use shortcodes in text widgets.
add_filter('widget_text', 'do_shortcode');

?>