<?php

$themename = "Theme Options";
$shortname = "rockact";
$alt_stylesheets = array('green', 'red', 'blue', 'teal', 'grey', 'orange', 'yellow', 'fushia', 'purple');
$alt_contact_imgs = array('Generic Avatar', 'Realistic Woman', 'Realistic Man');
$alt_video_imgs = array('Generic Avatar', 'Female - Caucasian', 'Female - Hispanic', 'Female - African American', 'Male - Caucasian', 'Male - Hispanic', 'Male - African American', 'No Person');

// Create theme options
global $options;
$options = array (

array( "name" => "General",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Color Scheme",
 "desc" => "Select a color scheme for the theme.",
 "id" => $shortname."_alt_stylesheet",
 "type" => "select",
 "options" => $alt_stylesheets,
 "std" => "green"),

array( "name" => "Large Ribbon Color",
 "desc" => "Select a color for the large ribbon leading to the call to action button.",
 "id" => $shortname."_alt_stylesheet2",
 "type" => "select",
 "options" => $alt_stylesheets,
 "std" => "orange"),
 
array( "name" => "Background Color (Click to show color picker)",
 "desc" => "Select a color for the background of the site.  If no color is chosen, the background will be blue by default.",
 "id" => $shortname."_alt_background",
 "type" => "colorpick",
 "std" => ""),

array( "name" => "Top Bar Color (Click to show color picker)",
 "desc" => "Select a color for the top bar of the site.  This color will also affect the phone number in the form and the main text in the arrow, so it should not be the same color setting as the color scheme.  If no color is chosen, the background will be orange by default.",
 "id" => $shortname."_map_background",
 "type" => "colorpick2",
 "std" => ""),

array( "name" => "Form Background Color (Click to show color picker)",
 "desc" => "Select a color for the background of the form area of the site.  If no color is chosen, the background will be blue by default.  Darker colors will work better here since the form inputs will always be white.",
 "id" => $shortname."_form_background",
 "type" => "colorpick3",
 "std" => ""),

array( "name" => "Sidebar Contact Image",
 "desc" => "Select color for the sidebar image for the theme.",
 "id" => $shortname."_sidebar_contact_img",
 "type" => "select",
 "options" => $alt_contact_imgs,
 "std" => ""),
 
array( "name" => "Hide Sidebar Contact Image",
 "desc" => "Tick the box to hide sidebar contact image.",
 "id" => $shortname."_sidebar_contact_img_show",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Top Header Bar Text",
 "desc" => "Insert text to be displayed at the top header of each page - phone number will automatically be inserted in alternate color after the content of this text unless the phone number is disabled in the following option.",
 "id" => $shortname."_top_bar_text",
 "type" => "text",
 "std" => ""),

array( "name" => "Disable Phone Number In Header Text",
 "desc" => "Tick the box to disable the phone number from appearing on the top header text.",
 "id" => $shortname."_top_bar_phone",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Main Image",
 "desc" => "Upload a new image to be placed next to the video on the main header of the home page.  When the image has uploaded, select 'Full size' and click 'insert into post'.  Dimensions of this image should be 270px x 250px.",
 "id" => $shortname."_header_image",
 "type" => "img-upload",
 "std" => ""),

array( "name" => "Logo Image",
 "desc" => "Upload a new logo image or insert the path to the image. When the image has uploaded, select 'Full size' and click 'insert into post'. Suggested logo dimensions should be 350px x 75px.",
 "id" => $shortname."_logo_image",
 "type" => "img-upload2",
 "std" => ""),

array( "name" => "Hide Logo Image",
 "desc" => "Tick the box to hide the logo image",
 "id" => $shortname."_logo_image_on",
 "type" => "checkbox",
 "std" => "on"),

array( "type" => "close"),

array( "name" => "Form Settings",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Email Address",
 "desc" => "Please insert your email address that leads and Web site emails will be submitted to.",
 "id" => $shortname."_email_address",
 "type" => "text",
 "std" => ""),

array( "name" => "Optional CC Email Address",
 "desc" => "Please insert a second email address that leads and Web site emails will be copied to.",
 "id" => $shortname."_ccemail_address",
 "type" => "text",
 "std" => ""),

array( "name" => "Phone Number",
 "desc" => "Insert phone number to display it in the header and sidebar. Leaving it blank will keep the phone number text suppressed",
 "id" => $shortname."_phone_number",
 "type" => "text",
 "std" => ""),

array( "name" => "Headline 1 - Top of Form",
 "desc" => "Enter the first headline on the top of the contact form.  This space will accommodate about four words.",
 "id" => $shortname."_form_line1",
 "type" => "text",
 "std" => ""),

array( "name" => "Headline 2 - Top of Form",
 "desc" => "Enter the second headline on the top of the contact form.  This space will accommodate one word and will be the most prominent and bold word in the arrow.",
 "id" => $shortname."_form_line2",
 "type" => "text",
 "std" => ""),

array( "name" => "Headline 3 - Top of Form",
 "desc" => "Enter the third headline on the top of the contact form.  This space will accommodate one word.  This can optionally be left blank as well.",
 "id" => $shortname."_form_line3",
 "type" => "text",
 "std" => ""),

array( "name" => "Disable Additional Field (Project)",
 "desc" => "Tick the box to disable the additional input (called Project by default) from appearing in the form on home page.",
 "id" => $shortname."_form_project",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Additional Form Field Name",
 "desc" => "Enter the title of the additional field on the contact form.  By default, this area will display Your Project unless you adjust it in this field.",
 "id" => $shortname."_form_add",
 "type" => "text",
 "std" => "Your Project"),

array( "name" => "Disable Message Box",
 "desc" => "Tick the box to disable the free-form message box from appearing in the form on home page.",
 "id" => $shortname."_form_message",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Disable Phone Number",
 "desc" => "Tick the box to disable the phone number input from appearing in the form on home page.",
 "id" => $shortname."_form_phone",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Text Inside Submit Button",
 "desc" => "Enter the text inside the submit button.  By default, this text will be GO.",
 "id" => $shortname."_form_submit",
 "type" => "text",
 "std" => "GO"),

array( "name" => "Disable Ribbon",
 "desc" => "Tick the box to disable the ribbon from appearing on the form on home page.",
 "id" => $shortname."_ribbon_entire",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Text Inside Ribbon",
 "desc" => "Enter the text inside the ribbon.  By default, this text will be: LIMITED TIME OFFER - ACT RIGHT NOW!",
 "id" => $shortname."_ribbon_text",
 "type" => "text",
 "std" => "LIMITED TIME OFFER"),

array( "name" => "Text In Arrow",
 "desc" => "Insert the text that you want to appear in the arrow underneath the video.  By default the text will read GET STARTED HERE IN LESS THAN 30 SECONDS.",
 "id" => $shortname."_arrow_text",
 "type" => "text",
 "std" => "GET STARTED HERE IN LESS THAN 30 SECONDS."),

array( "name" => "Disable Theme Form Options",
 "desc" => "Tick the box to disable the theme form settings in order to be able to use your own form from any auto-responder program.",
 "id" => $shortname."_form_active",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Auto-Responder Code/HTML",
 "desc" => "Enter the code from your auto-responder program to use instead of the theme form options or HTML that you want to appear in place of the form.  If you opt to use your auto-responder code, please be advised that the form you create in your auto-responder program should be no more than 200 pixels wide.",
 "id" => $shortname."_form_autocode",
 "type" => "textarea",
 "std" => ""),

array( "type" => "close"),

array( "name" => "Video Options",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Video Graphic Image",
 "desc" => "Select the image for the person next to the video (holding the video skin).",
 "id" => $shortname."_video_img",
 "type" => "select",
 "options" => $alt_video_imgs,
 "std" => ""),

array( "name" => "YouTube Video Code",
 "desc" => "Insert YouTube video id (the 11-character code right after http://www.youtube.com/watch?v=). Leaving it blank will supress the video area.",
 "id" => $shortname."_video",
 "type" => "text",
 "std" => ""),

array( "name" => "Headline Next To Video",
 "desc" => "Insert the headline to display next to the video on the home page.<br/> The headline can be about 10 words. You may include bold tags to bold words (ie. &lt;b&gt;word to bold&lt;/b&gt;).",
 "id" => $shortname."_video_text",
 "type" => "text",
 "std" => ""),

array( "name" => "Autoplay Video",
 "desc" => "Tick the box to autoplay the video on the homepage",
 "id" => $shortname."_autoplay",
 "type" => "checkbox",
 "std" => "on"),

array( "type" => "close"),

array( "name" => "Google Map Options",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Disable Google Maps",
 "desc" => "Tick the box to disable Google Maps from being enabled on the site.",
 "id" => $shortname."_maps_on",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Google Maps API Key",
 "desc" => "Insert your Google Maps API key.<br/> You can register a key for your themes here: https://code.google.com/apis/console - please visit the members area for instructions on how to register a key.",
 "id" => $shortname."_map_key",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Maps Address",
 "desc" => "Insert the address that you want to be the center of the map.<br/> The map can be centered around just a city and state of you do not want to use an address).",
 "id" => $shortname."_map_address",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Maps Bubble Text, Line 1",
 "desc" => "Insert the text that you want to appear in the Google Maps bubble that will be in the slide down feature of the site - it is recommended that you have at most 4 lines that are about 5 words each.  By default, the name of the site and your address will be in this space.  This field is for the first line.",
 "id" => $shortname."_map_bubble1",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Maps Bubble Text, Line 2",
 "desc" => "Insert the text that you want to appear in the Google Maps bubble that will be in the slide down feature of the site - it is recommended that you have at most 4 lines that are about 5 words each.  By default, the name of the site and your address will be in this space.  This field is for the second line.",
 "id" => $shortname."_map_bubble2",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Maps Bubble Text, Line 3",
 "desc" => "Insert the text that you want to appear in the Google Maps bubble that will be in the slide down feature of the site - it is recommended that you have at most 4 lines that are about 5 words each.  By default, the name of the site and your address will be in this space.  This field is for the third line.",
 "id" => $shortname."_map_bubble3",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Maps Bubble Text, Line 4",
 "desc" => "Insert the text that you want to appear in the Google Maps bubble that will be in the slide down feature of the site - it is recommended that you have at most 4 lines that are about 5 words each.  By default, the name of the site and your address will be in this space.  This field is for the fourth line.",
 "id" => $shortname."_map_bubble4",
 "type" => "text",
 "std" => ""),

array( "type" => "close"),

array( "name" => "Bullet List in Side Bar",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Heading for all Bullets",
 "desc" => "Insert the heading for all bullets in sidebar.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_title",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #1",
 "desc" => "Insert the first bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_1_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #1, Optional Description",
 "desc" => "Insert an extended description of the first bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_1",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #2",
 "desc" => "Insert the second bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_2_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #2, Optional Description",
 "desc" => "Insert an extended description of the second bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_2",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #3",
 "desc" => "Insert the third bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_3_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #3, Optional Description",
 "desc" => "Insert an extended description of the third bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_3",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #4",
 "desc" => "Insert the fourth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_4_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #4, Optional Description",
 "desc" => "Insert an extended description of the fourth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_4",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #5",
 "desc" => "Insert the fifth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_5_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #5, Optional Description",
 "desc" => "Insert an extended description of the fifth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_5",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #6",
 "desc" => "Insert the sixth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_6_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #6, Optional Description",
 "desc" => "Insert an extended description of the sixth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_6",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #7",
 "desc" => "Insert the seventh bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_7_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #7, Optional Description",
 "desc" => "Insert an extended description of the seventh bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_7",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #8",
 "desc" => "Insert the eighth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_8_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #8, Optional Description",
 "desc" => "Insert an extended description of the eighth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_8",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #9",
 "desc" => "Insert the ninth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_9_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #9, Optional Description",
 "desc" => "Insert an extended description of the ninth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_9",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #10",
 "desc" => "Insert the tenth bullet point in the side bar on the home page.  Leaving it blank will suppress it from appearing.",
 "id" => $shortname."_list_10_bold",
 "type" => "text",
 "std" => ""),

array( "name" => "List Item #10, Optional Description",
 "desc" => "Insert an extended description of the tenth bullet point.  Leaving it blank will suppress anything from appearing.",
 "id" => $shortname."_list_10",
 "type" => "text",
 "std" => ""),

array( "type" => "close"),

array( "name" => "Social Networking",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Hide Share Options in Footer",
 "desc" => "Tick the box to hide share options in the footer of the site",
 "id" => $shortname."_share_foot",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Facebook Page",
 "desc" => "Link to your Facebook page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Facebook icon suppressed.",
 "id" => $shortname."_facebook_id",
 "type" => "text",
 "std" => ""),
 
array( "name" => "Twitter ID",
 "desc" => "Link to your Twitter page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Twitter icon supressed.",
 "id" => $shortname."_twitter_id",
 "type" => "text",
 "std" => ""),

array( "name" => "Linked In ID",
 "desc" => "Link to your Linked In page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Linked In icon supressed.",
 "id" => $shortname."_linkedin_id",
 "type" => "text",
 "std" => ""),

array( "name" => "Flickr ID",
 "desc" => "Link to your Flickr page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Flickr icon supressed.",
 "id" => $shortname."_flickr_id",
 "type" => "text",
 "std" => ""),

array( "name" => "You Tube ID",
 "desc" => "Link to your You Tube page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the You Tube icon supressed.",
 "id" => $shortname."_youtube_id",
 "type" => "text",
 "std" => ""),

array( "name" => "Pinterest ID",
 "desc" => "Link to your Pinterest page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Pinterest icon supressed.",
 "id" => $shortname."_pinterest_id",
 "type" => "text",
 "std" => ""),

array( "name" => "Google Plus",
 "desc" => "Link to your Google Plus page, <strong>with http://</strong>. It will be shown in the footer. Leaving it blank will keep the Pinterest icon supressed.",
 "id" => $shortname."_google_id",
 "type" => "text",
 "std" => ""),

array( "type" => "close"),

array( "name" => "Advanced Options",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Headline/Link Font Color (Click to show color picker)",
 "desc" => "Select a color for the headline and links on the site.  If no color is chosen, the background will be dark blue by default.",
 "id" => $shortname."_font_global",
 "type" => "colorpick4",
 "std" => ""),

array( "name" => "Custom Title Above Testimonials",
 "desc" => "Enter the text that will appear above the testimonials area.  By default, this text will be SEE WHAT OUR CUSTOMERS ARE SAYING.",
 "id" => $shortname."_testimonials_head",
 "type" => "text",
 "std" => "See What Our Customers Are Saying ..."),

array( "name" => "Hide Meta Data on Blog Posts",
 "desc" => "If you wish to hide the meta data on posts, such as the categories, comments and tags, please tick this box.",
 "id" => $shortname."_blog_meta",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Embed Video/Image Code",
 "desc" => "If you prefer to use an embed code from a video player other than You Tube, you can enter in your own code here to play any video you want, or alternatively a static image.  Just make sure that the code you enter in will fit in a space that is 295px wide and 245px tall.",
 "id" => $shortname."_video_embedcode",
 "type" => "textarea",
 "std" => ""),

array( "name" => "Hide Branding Images",
 "desc" => "If you wish to hide the branding images on this theme, please tick this box.",
 "id" => $shortname."_branding_show",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Fav Icon Image",
 "desc" => "Upload a favicon image or insert the path to the image. When the image has uploaded, select 'Full size' and click 'insert into post'. Dimensions should be 16px x 16px.  Favicon should be in PNG format.",
 "id" => $shortname."_fav_image",
 "type" => "img-upload3",
 "std" => ""),

array( "name" => "Custom Video Image",
 "desc" => "Upload a custom image to go next to the video space or insert the path to the image. For access to the tool to make these images through our app, please upgrade your purchase at the link below.  When the image has uploaded, select 'Full size' and click 'insert into post'. Dimensions should be 477px x 367px.",
 "id" => $shortname."_custvid_image",
 "type" => "img-upload4",
 "std" => ""),

array( "type" => "close"),

array( "name" => "Footer",
 "type" => "section"),

array( "type" => "open"),

array( "name" => "Hide Better Business Bureau Icon",
 "desc" => "If you wish to hide the Better Business Bureau icon in the footer, please tick this box.",
 "id" => $shortname."_bbb",
 "type" => "checkbox",
 "std" => "on"),

array( "name" => "Copyright Text",
 "desc" => "Paste your copyright statements here. Leaving it blank will result in a default copyright setting.",
 "id" => $shortname."_copyright",
 "type" => "textarea",
 "std" => ""),

array( "name" => "Analytics/Tracking Code",
 "desc" => "You can paste your Google Analytics or other website tracking code in this box. This will be automatically added to the footer.",
 "id" => $shortname."_analytics_code",
 "type" => "textarea",
 "std" => ""),

array( "type" => "close"),

);


function rock_add_admin() {

    global $themename, $shortname, $options;

	if ( isset ( $_GET['page'] ) && ( $_GET['page'] == basename(__FILE__) ) ) {

		if ( isset ($_REQUEST['action']) && ( 'save' == $_REQUEST['action'] ) ){

			foreach ( $options as $value ) {
				if ( array_key_exists('id', $value) ) {
					if ( isset( $_REQUEST[ $value['id'] ] ) ) {
						if (($value['id']=='rock_header_image') && ($_REQUEST['rock_library']!='')) {
							$libraryvalue=$_REQUEST['rock_library'];
							update_option('rock_header_image',$libraryvalue);
						} else {
						 	update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
						}
					}
					else {
						delete_option( $value['id'] );
					}
				}
			}
		header("Location: admin.php?page=".basename(__FILE__)."&saved=true");
		}
		else if ( isset ($_REQUEST['action']) && ( 'reset' == $_REQUEST['action'] ) ) {
			foreach ($options as $value) {
				if ( array_key_exists('id', $value) ) {
					delete_option( $value['id'] );
				}
			}
		header("Location: admin.php?page=".basename(__FILE__)."&reset=true");
		}
	}

add_theme_page($themename, $themename, 'administrator', basename(__FILE__), 'rock_admin');
add_submenu_page(basename(__FILE__), $themename . ' Options', 'Theme Options', 'administrator',  basename(__FILE__),'rock_admin'); // Default
add_menu_page('Rockstar Options', 'Rockstar Options', 9, basename(__FILE__), 'rock_admin');

}

function rock_add_init() {
   $file_dir=get_bloginfo('template_directory');
   wp_enqueue_script('jquery');
   wp_enqueue_style( 'farbtastic' );
   wp_enqueue_script( 'farbtastic' );
   wp_enqueue_style("rockCss", $file_dir."/functions/theme-options.css", false, "1.0", "all");
   wp_enqueue_script("rockScript", $file_dir."/functions/theme-options.js", false, "1.0", "all");
   wp_enqueue_script("rockScript3", $file_dir."/functions/featuredcontentglider.js", false, "1.0", "all");
}

function rock_admin() {

    global $themename, $shortname, $options;
	$i=0;

	if ( isset ($_REQUEST['saved']) && ($_REQUEST['saved'] ) )echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( isset ($_REQUEST['reset']) && ($_REQUEST['reset'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

if ($_POST['key']!='') {
   if (get_option('key')!=$_POST['key']) {
      update_option('key','');
      $key=$_POST['key'];
      update_option('key',$key);
   } else {
      $key=$_POST['key'];
      update_option('key',$key);
   }
} else {
   $key=get_option('key');
}

$adminemail=get_bloginfo('admin_email');
$root=get_bloginfo('url');

$url = 'http://www.localheaders.com/validate4.php?id='.$key.'&domain='.$root.'&email='.$adminemail;
$file=wp_remote_fopen($url);

$items=explode(":",$file);

   $file_dir=get_bloginfo('template_directory');
   wp_enqueue_script("rockScript2", $file_dir."/functions/theme-picker.js", false, "1.0", "all");

if ($items[0]=='1') {

?>

<div class="wrap ">
<div class="options_wrap">

<?php 
if (get_option('rockact_branding_show') != 'true') { 
?>
<img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/siteheader.png" width=500 height=149><br />

		<div style="margin:0 25px; float: left;">
		<h3 class="hndle">Our Other RockStar Themes:</h3> 
     		</div>
		<div style="margin:0 5px; float: left;">
		<a href="http://rockstarbiztheme.com/" title="RockStar Biz Theme" target="_blank"><img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/MoreThemesBizButton.png" alt="RockStar Biz Theme" /></a>
		</div>
		<div style="margin:0 5px; float: left;">
		<a href="http://rockstarleadtheme.com/" title="RockStar Lead Theme" target="_blank"><img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/MoreThemesLeadButton.png" alt="RockStar Lead Theme" /></a>
		</div>
	        <br class="clear" />
		<hr />

<?php
}
?>

<h2 class="settings-title"><?php echo 'RockStar Action Theme: '.$themename; ?></h2>

<h3 style=" display: block; line-height: 30px; font-size: 24px; font-family: georgia; font-style: oblique; font-weight: normal; color: #e52b69; margin: 0px;"><?php echo $items[1]; ?></h3>

<p>Click on any of the sections below to expand the options for that section.</p>
<form method="post">

<?php foreach ($options as $value) {
switch ( $value['type'] ) {
case "section":
?>
	<div class="section_wrap">
	<h3 class="section_title"><?php echo $value['name']; ?></h3>
	<div class="section_body">

<?php
break;
case 'img-upload':

if (get_option('rock_thumbdescnum')!='') {
?>

	    <div class="botdiv" id="p-select">

	       <div class="leftarr">
	          <a href="#" class="prev"><img border=0 src="<?php echo get_bloginfo('template_url'); ?>/functions/arr-left.png" width=50 height=50></a>
	       </div>

	       <div class="thumbs"> 

		<?php

		echo '<b>Choose an image for the top of the site:</b>';
		echo '<div id="thumbnails" class="glidecontentwrapper">';

   $descriptions=get_option('rock_thumbdesc');
   $numdescriptions=get_option('rock_thumbdescnum')+1000;
   $imagepath=get_bloginfo('template_url');
   $items=explode("themes/",$imagepath);
   $imagepath=$items[0].'plugins/RockStar-Image-Plugin-v1-0/img/';

		for ($i=1001; $i<=$numdescriptions; $i++) {
		
			$var=$i+1;
			if($var %3 == 0) {
			   echo '<div class="glidecontent">';
			}

		      $thisimage=$imagepath.'image'.$i.'-thumb.jpg';
		      if ($i=='1001') { $thisvalue=''; } else { $thisvalue=$imagepath.'image'.$i.'.jpg'; }
		      echo '<div class="thumbimage">'."\n";
		      echo $descriptions[$i].'<br />'."\n";
		      echo '<img src="'.$thisimage.'" width="103" height="52"><br />'."\n";
		      echo '<INPUT TYPE=RADIO NAME="'.$shortname.'_library" VALUE="'.$thisvalue.'">'."\n";
		      echo '</div>'."\n";

			$var=$i-1;
			if($var %3 == 0) {
			   echo '</div>';
			}

		}

		?>

		</div>

	       </div> 

	       <div class="rightarr">
	          <a href="#" class="next"><img border=0 src="<?php echo get_bloginfo('template_url'); ?>/functions/arr-right.png" width=50 height=50></a>
	       </div>

	    </div>

                <div class="clear"></div>

<?php
}
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" /><input id="upload_image_button" type="button" value="Upload Image" />
	</div>

<?php
break;
case 'img-upload2':
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" /><input id="upload_image_button2" type="button" value="Upload Image" />
	</div>

<?php
break;
case 'img-upload3':
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" /><input id="upload_image_button3" type="button" value="Upload Image" />
	</div>

<?php
break;
case 'img-upload4':
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" /><input id="upload_image_button4" type="button" value="Upload Image" />
	</div>

<?php
break;
case 'text':
?>

	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" />
	</div>

<?php
break;
case 'textarea':
?>
	<div class="options_input options_textarea">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['std']; } ?></textarea>
	</div>

<?php
break;
case 'select':
?>
	<div class="options_input options_select">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
		<?php foreach ($value['options'] as $option) { ?>
				<option <?php if (get_option( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
		</select>
	</div>

<?php
break;
case "radio":
?>
	<div class="options_input options_select">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
		  <?php foreach ($value['options'] as $key=>$option) {
			$radio_setting = get_option($value['id']);
			if($radio_setting != ''){
				if ($key == get_option($value['id']) ) {
					$checked = "checked=\"checked\"";
					} else {
						$checked = "";
					}
			}else{
				if($key == $value['std']){
					$checked = "checked=\"checked\"";
				}else{
					$checked = "";
				}
			}?>
			<input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
			<?php } ?>
	</div>

<?php
break;
case "checkbox":
?>
	<div class="options_input options_checkbox">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
		<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
		<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	 </div>

<?php
break;
case "colorpick":
?>
	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
	        <input type="text" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo '#274c83'; } ?>" />
	</div>
        <div style="margin:-25px 0 0 40px;" id="colorpicker"></div>

<?php
break;
case "colorpick2":
?>
	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
	        <input type="text" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo '#eac30e'; } ?>" />
	</div>
        <div style="margin:-25px 0 0 40px;" id="colorpicker2"></div>

<?php
break;
case "colorpick3":
?>
	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
	        <input type="text" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo '#4f9bcd'; } ?>" />
	</div>
        <div style="margin:-25px 0 0 40px;" id="colorpicker3"></div>

<?php
break;
case "colorpick4":
?>
	<div class="options_input options_text">
		<div class="options_desc"><?php echo $value['desc']; ?></div>
		<span class="labels"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></span>
	        <input type="text" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo '#264b83'; } ?>" />
	</div>
        <div style="margin:-25px 0 0 40px;" id="colorpicker4"></div>

<?php
break;
case "close":
$i++;
?>
<span class="submit"><input name="save<?php echo $i; ?>" class="button-primary" type="submit" value="Save Changes" /></span>

</div><!--#section_body-->
</div><!--#section_wrap-->

<?php
break;
}
}
?>

<input type="hidden" name="action" value="save" />
<span class="submit">
<input name="save" type="submit" class="button-primary" value="Save All Changes" />
</span>
</form>

<br/>
<br class="clear" />

<p><a href="<?php echo get_bloginfo('wpurl'); ?>/wp-admin/options-general.php?page=__getthere">Jump to Mobile Site Options</a></p>

<br />

<?php 
if (get_option('rockact_branding_show') != 'true') { 
?>

<div id="poststuff" class="metabox-holder" > 
	    <div style="margin-top: 20px;" class="postbox"> 
		<h3 class="hndle">Want More RockStar Themes?!</h3> 
     		<div class="inside">
		<div style="margin:10px 30px; float: left;">
		<a href="http://rockstarbiztheme.com/" title="RockStar Biz Theme" target="_blank"><img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/MoreThemesBiz.png" alt="RockStar Biz Theme" /></a>
		</div>
		<div style="margin:10px 30px; float: left;">
		<a href="http://rockstarleadtheme.com/" title="RockStar Lead Theme" target="_blank"><img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/MoreThemesLead.png" alt="RockStar Lead Theme" /></a>
		</div>
	        <br class="clear" />
            </div></div>
</div>

<center><p><a href="http://www.rockstaractiontheme.com/upgrade/"><img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/upgrade.png" border=0></a></p></center>
<?php } ?>
<small>Help is just a <a href="http://www.rockstarhelpdesk.com" target="_blank">click away</a> ... </small>

</div><!--#options-wrap-->

</div><!--#wrap-->

<?php

} else {

if (get_option('key')=='') {
   $message='Please enter your key below:';
} else {
   $message=$items[1];
}

?>

<div class="wrap ">
<div class="options_wrap">
<img src="<?php echo get_stylesheet_directory_uri() ; ?>/functions/siteheader.png" width=500 height=149>

<h2 class="settings-title"><?php echo 'RockStar Action Theme: '.$themename; ?></h2>

<h3 style=" display: block; line-height: 30px; font-size: 24px; font-family: georgia; font-style: oblique; font-weight: normal; color: #e52b69; margin: 0px;"><?php echo $message; ?></h3>

<form method="post">
<ul style="margin:0px;">

	<li style="background: #fcfcfc; border: 1px solid #cccccc; border-radius: 5px; padding: 8px; width: 55%; margin: 10px 0px;"><b style="display: block; color: #555555;">Enter Your Key</b><small style="display: block; color: #555555; color: #999999; padding: 0px 0px 2px 0px; margin: 0px 0px 8px 0px; border-bottom: 1px dotted #cccccc; text-transform: uppercase; font-size: 9px;">Enter in the key that you received when you purchased this theme.  If you need assistance, please reach out to us at rockstarhelpdesk.com.</small><input type="text" NAME="key"></li>

	<input style="width: 300px; color: #555;" style="margin-bottom: 15px;" type="submit" class="button" value="Save Settings" />

</ul>
</form>

<p><img src="http://image-ads.s3.amazonaws.com/rs-local-lead-theme.png"></p>
<small>Help is just a <a href="http://www.rockstarhelpdesk.com" target="_blank">click away</a> ... </small>
</div>
</div>

<?php
} 

}

add_action('admin_init', 'rock_add_init');
add_action('admin_menu' , 'rock_add_admin');

?>
