<?php
add_action( 'add_meta_boxes', 'my_function_to_add_meta' );  

function my_function_to_add_meta()  {  
    add_meta_box( 'sprezzatura-meta', 'The Sprezzatura Meta Box', 'my_function_to_draw_sprezzatura_meta_box', 'post', 'normal', 'high' );  
}  
   

function my_function_to_draw_sprezzatura_meta_box($post) {  

    // Get values for filling in the user's inputs below
	$val_sprezzatura_primary_keyword = get_post_meta( $post->ID, '_sprezzatura_primary_keyword', true );


	$val_sprezzatura_metatitle = get_post_meta( $post->ID, '_sprezzatura_metatitle', true );
	$val_sprezzatura_metadescription = get_post_meta( $post->ID, '_sprezzatura_metadescription', true );
	


	$val_sprezzatura_hide_date = get_post_meta( $post->ID, '_sprezzatura_hide_date', true );
	$val_sprezzatura_noindex_this = get_post_meta( $post->ID, '_sprezzatura_noindex_this', true ); 
	$val_sprezzatura_featured = get_post_meta( $post->ID, '_sprezzatura_featured', true );
	
	$val_sprezzatura_hide_author_name = get_post_meta( $post->ID, '_sprezzatura_hide_author_name', true );
		
	  
	
	// Nonce to verify intention later  
    wp_nonce_field( 'save_sprezzatura_meta', 'sprezzatura_nonce' );  

	?>

    <!-- bring in framework -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/framework/style-fw.css" type="text/css" media="screen" />
    <script type="text/JavaScript" src="<?php bloginfo('template_url'); ?>/framework/functions-fw.js"></script>


    <?php
		// Get the name of the website so we can include it in the green google preview below.
		$niceLookingHomeURL = get_option('home');
		$niceLookingHomeURL = str_replace('http://', '', $niceLookingHome);
	?>
    
    









    
	<h4><a onclick="showhideHelp('div_help_kw')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 1: Choose your "trophy keyword" for this post. <a title="" style="font-weight: normal;" id="a_theGooLink" target='_blank' href='http://google.com'>See the keyword on Google</a><span id="span_img_external_google">&nbsp;</span></h4>
    <div class="divhelpbox" style="display: none;" id="div_help_kw">
    
    
        <h4>What is a "trophy keyword?"</h4>
        <p>A "trophy keyword" is a keyword phrase that you would ultimately this URL to rank for in Google (or other search engines). For example, if this particular post was one in which you sold "red dog bowls," then your trophy phrase might be "red dog bowl." e.g. Ideally, this post will be featuerd by Google at the first position of their index, each time someone in the world types in the query "red dog bowl."</p>
        <h4>Why is this important?</h4>
        <p>The Sprezzatura WordPress Theme will use this keyword when it links to this page internally. For example, the Alt attribute of the images in the YARPP template uses the data from this field when it links to this page.</p>
        
        <p>The keyword you choose should be a carefully chosen keyword phrase that:</p>
        <ul>
          <li>Is about two or three words long.</li>
          <li>Has significant search volume. As depicted by the <a target='_blank' href='https://adwords.google.com/o/Targeting/Explorer?__c=1000000000&__u=1000000000&ideaRequestType=KEYWORD_IDEAS'>Google Keyword Tool</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</li>
          <li>Is representative of a searcher with <a title="Click here to read an article on Commercial Intent by Search Engine Land." rel='nofollow' target='_blank' href='http://searchengineland.com/commercial-intent-web-search-behaviors-24315'>commercial intent</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> that is congruous to the goods or services that this piece of content is providing.</li>
        </ul>

  
	</div>  
    <p><input placeholder="Click here to insert your trophy keyword." onkeyup="MakeGoogleLinkForUsersKeyword(this.value,'<?php bloginfo('template_url'); ?>/framework/images/external-link.png');" type="text" class="widefat" id="input_sprezzatura_primary_keyword" name="input_sprezzatura_primary_keyword" value="<?php echo $val_sprezzatura_primary_keyword; ?>" /></p>  

	<script>
		// run it the first time so we can set it on load
		MakeGoogleLinkForUsersKeyword(document.getElementById('input_sprezzatura_primary_keyword').value,'<?php bloginfo('template_url'); ?>/framework/images/external-link.png');
	</script>	
    















    
	<h4><a onclick="showhideHelp('div_help_metatags')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 2: Optimize your meta information for the search engines.</h4>

    <div class="divhelpbox" style="display: none;" id="div_help_metatags">
        
		<h4>Working with Search Engine meta information</h4>
        <p>When we say &quot;meta information&quot; here, we'll refer to three things:</p>
        
        <div style="margin-left: 20px; padding-left: 10px; border-left: 4px solid #ede5d3;">
            <h4>1. The Title Tag</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 65</p>
            <p>The Title Tag.</strong> The content for this tag is the same as your &quot;post title.&quot;</p>
    
            <h4>2. The Post Slug</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 75 (including the domain name)</p>        
            <p>In WordPress the slug is that little cluster of text up there near the permalink. The slug should compliment the post title. But it should be a shorter version of it. And it should convey to the web searcher exactly what your post is about -- in two or three words. Note that once you have posted this article, you should never change the slug--as this is the address by which Google will index this page.</p>            
    
            <h4>3. The Meta Description</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 160</p>        
            <p>The content for this tag is filled in via the WordPress &quot;Excerpt&quot; box. (If you do not currently see the WordPress &quot;Excerpt&quot; box anywhere on your page, then click the "Screen Options" button on the top right of your screen, and make sure the word "Excerpt" has a checkmark next to it.)</p>
            <p>Add phone number</p>        
            <p>Google gives you two lines to tell people what your post is about. So brevity is important here. Also, you'll want to be sure you use the entire width of these two lines--so you can take up as much of teh SERP real estate as possible.</p>    
        </div>  
                    
        <h4>See how your competitors are doing it.</h4>
        
        <p>Before you start crafting your meta information, it's usually a good idea to 
        go checkout what your competition is doing on Google. You can usually gleam lots 
        of helpful tips on what your meta info should look like, by looking at the top 
        10 websites that already rank for your target keyword.</p>

	</div>

    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- START - The Meta Editor --> 
    <!-- ======================================================= --> 
        
    <!-- START - Draw the snippet --> 
	<div style="max-width: 530px;">
        <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-top.png) top left repeat-x;"></div>                
        <div style="background-color: white; padding: 9px; border: 0px solid #dfdfdf;">
            <p style="width: 500px; color: #1122cc; text-decoration: underline; font-size: 12pt; margin: 0px;"><input autocomplete="off" onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 65-character meta title." style="color: #1122cc; text-decoration: underline; font-size: 12pt; font-family: Arial; border: 0px solid #CCC;" type="text" class="widefat" id="input_sprezzatura_metatitle" name="input_sprezzatura_metatitle" value="<?php echo $val_sprezzatura_metatitle; ?>" /></p>
            <p style="width: 500px; color: #009952; text-decoration: none; font-size: 9pt; margin: 0px 0px 0px 3px;"><span id="mySlugDisplay">slug</span>/</p>
            <p style="width: 500px; color: black; text-decoration: none; font-size: 9pt; margin: 0px;"><textarea onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 160-character meta description. The search engines will use this sentence to give their users an idea about the content of this page." style="font-family: Arial; border: 0px solid #CCC; outline: none;" class="widefat" rows="2" id="input_sprezzatura_metadescription" name="input_sprezzatura_metadescription" ><?php echo $val_sprezzatura_metadescription; ?></textarea></p>
        </div> 
        <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-bottom.png) top left repeat-x;"></div>      
	</div>        
    <!-- END - Draw the snippet --> 

	<script> 
    
        // if the slugID is not NULL, then our slug test is equal to the text of the innerHTML.
        var mySlugID = document.getElementById('editable-post-name');
        if (mySlugID != null) { mySlugTxt = mySlugID.innerHTML; };
                    
        // get the website domain name.
        var TheSiteDomainName = "<?php $NiceLookingHomePage = get_option('home'); echo str_replace('http://','',$NiceLookingHomePage); ?>";
        
        // set the green URL
        if (mySlugID != null) {
            document.getElementById('mySlugDisplay').innerHTML = (TheSiteDomainName + "/" + mySlugTxt);
        } else {
            document.getElementById('mySlugDisplay').innerHTML = TheSiteDomainName;
        }
            
    </script> 


    <!-- ======================================================= --> 
    <!-- END - The Meta Editor --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 





















    

    

    
	<h4><a onclick="showhideHelp('div_help_featuredimage')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 3: Upload a Featured Image / Thumbnail Image (Size: 336 x 220).</h4>
    <div class="divhelpbox" style="display: none;" id="div_help_featuredimage">
    
	    <h4>What is this?</h4>
        
		<p>The image that you select as your "Featured image" will be used in two places:</p>
        <ol>
			<li><strong>First</strong>, it will be featured on the homepage--if you select the "Feature this post" checkbox in the next step.</li>
			<li><strong>Second</strong>, a "thumbnail version" of this image will be <strong>displayed in your YARPP sidebar</strong>--if you decide to use the <a target='_blank' href="http://wordpress.org/extend/plugins/yet-another-related-posts-plugin/">YARPP</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> plugin.</li>            
		</ol>
        
    	<p>
        
	    <h4>How to choose a featuerd image</h4>
        
        <ol>
            <li>Press the <strong>"Set featured image"</strong> link below.</li>
            <li>And then, either upload your image, or select one from your existing media gallery.</li>
            <li>Below the image, you should see a blue link that reads <strong>"Use as featured image."</strong> Clicking this link will tell WordPress that this is the image you'd like to feature for this post.</li>
        </ol>
        
        <h4>Image Creation</h4>
        
        <p><b>The image should consist of a 336 x 220 web-optimized JPG image.</b> You can create your image in Adobe Photoshop of course. But there are many free paint programs out there like <a target='_blank' href="http://gimp.org/">Gimp</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> and <a target='_blank' href="http://pixlr.com/">Pixlr</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</p>
		<p><i>Tip: Images on the homepage of the Sprezzatura WordPress theme tend to look the best when they have a white ("masked") background.</i></p>
        

	</div> 
    
    <a href="<?php echo get_admin_url(); ?>media-upload.php?post_id=<?php echo $post->ID; ?>&amp;type=image&amp;TB_iframe=1" class="thickbox">Set featured image</a>
    
    
   
    

	<h4><a onclick="showhideHelp('div_help_featureit')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 4: Feature this post on the homepage.</h4>
    
    <div class="divhelpbox" style="display: none;" id="div_help_featureit">
    	<p>Some of your posts (at least two and preferably four) should talk about your primary product in an appealing way. They should explain to the user how your product helps them solve a problem, and, over time, the posts should be tweaked and optimized to convert visitors into buyers.</p>
	</div> 
	<p><input type="checkbox" name="input_sprezzatura_featured" value="1" <?php checked( '1', $val_sprezzatura_featured ); ?> />&nbsp;<label>Feature this post?</label></p>
 

	<h4><a onclick="showhideHelp('div_help_noindex')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 5: Should we "noindex" this post?</h4>      

    <div class="divhelpbox" style="display: none;" id="div_help_noindex">
        
        <h4>What does "noindex" do?</h4>
        
        <p>It tells search engines that you do not want this post to be included in their index.</p>
        
        <h4>Why would you want to &quot;noindex&quot; a post?</h4>
        
        <p>Basically, Google would like you to noindex any piece of content that would 
        not benefit their searchers. Their goal is to return the best index of websites 
        for any given search query. And you help them with this goal when you noindex 
        posts that you don't think would be very useful to people.</p>
        
        <p>Here are a few other reasons:</p>
        
          <ol>
              <li><b>The post contains &quot;special content&quot; that is only for your 
              subscribers or for paying customers.</b> Sometimes you'd like visitors 
              to subscribe to your email list first before allowing them to view your 
              resources. But if you don't &quot;noindex&quot; the post, then they may just find 
              your content on Google, and bypass your email gateway.</li>
              <li><b>The post contains administrative info.</b> Perhaps the post 
              merely contains an instruction book or a report on a bug fix. Perhaps 
              some login information or some content that is only internally relevant 
              to your company staff.</li>
              <li><b>The post is merely ephemera.</b> Sometimes companies put out 
              transitory written material that is only relevant to a select few--for a 
              brief instant in time. For example, an announcement about an upcoming 
              church bake sale in the heart of Boise Idaho, would not be particularly 
              relevant to the masses.</li>
              <li><b>The post is not of high enough quality yet.</b> Google wants you 
              to put your best foot forward. And these days, one bad post can (in 
              theory) effect your entire website. So if your post is not yet ready for 
              primetime, then you might consider noindexing it until it is.</li>
          </ol>
                
                  
	</div>
    
	<p><input type="checkbox" name="input_sprezzatura_noindex_this" value="1" <?php checked( '1', $val_sprezzatura_noindex_this ); ?> />&nbsp;<label>"Noindex" this post.</label></p>
    
	<h4><a onclick="showhideHelp('div_help_authors_name')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 6: Should we hide the author's name?</h4>      

    <div class="divhelpbox" style="display: none;" id="div_help_authors_name">
        <p>Ideally you'll display the name here of the credentialed writer who created this post. But there are various reasons why a site owner would want his authors to remain anonymous.</p>               
	</div>
    
	<p><input type="checkbox" name="input_sprezzatura_hide_author_name" value="1" <?php checked( '1', $val_sprezzatura_hide_author_name ); ?> />&nbsp;<label>Hide the author's name.</label></p>
    




       
             
<?php
}  
?><?php

add_action( 'save_post', 'my_function_to_save' );  

function my_function_to_save( $id ) {  

	// Handle the errors
    if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;  
    if( !isset( $_POST['sprezzatura_nonce'] ) || !wp_verify_nonce( $_POST['sprezzatura_nonce'], 'save_sprezzatura_meta' ) ) return;  
    if( !current_user_can( 'edit_post' ) ) return;  

	// ===============================================================	
	// Save the values
	// ===============================================================
	
	
	
	$ts = $_POST['input_sprezzatura_primary_keyword'];
	$ts = makeHTMLCompliant($ts);
	update_post_meta($id,'_sprezzatura_primary_keyword',$ts);
	
	update_post_meta($id,'_sprezzatura_metatitle',$_POST['input_sprezzatura_metatitle']);
	update_post_meta($id,'_sprezzatura_metadescription',$_POST['input_sprezzatura_metadescription']);

    update_post_meta($id,'_sprezzatura_featured',$_POST['input_sprezzatura_featured']);
	
    update_post_meta($id,'_sprezzatura_hide_date',$_POST['input_sprezzatura_hide_date']);
    update_post_meta($id,'_sprezzatura_noindex_this',$_POST['input_sprezzatura_noindex_this']);
    update_post_meta($id,'_sprezzatura_hide_author_name',$_POST['input_sprezzatura_hide_author_name']);	

  
} ?>