<?php
// ADD WORDPRESS ACTION - Class the below function and initializes the set of variables to be saved
add_action('admin_init', 'theme_options_init');

function theme_options_init(){
	register_setting( 'sprezzatura_opt_group1', 'sprezzatura_opt_set1', 'my_sanitize_function' ); 
}

// ADD WORDPRESS ACTION - Class the below fucntion and adds our button to the left WordPress menu
add_action('admin_menu', 'theme_options_add_page');

function theme_options_add_page() {
	add_theme_page('Editing the Sprezzatura Options...','Theme Options', 'edit_theme_options', 'sprezzatura-theme-options', 'my_function_to_draw_the_page');		
}

// Sanitize
function my_sanitize_function( $input ) {
	// its empty now...
	return $input;
}

// Create the options page
function my_function_to_draw_the_page() {
?>

	<!-- Google fonts -->
	<link href='http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz' rel='stylesheet' type='text/css'>
		
        
	<!-- ======================================================= -->
	<!-- START Bring in the framework -->
	<!-- ======================================================= -->


	<!-- my css -->
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/framework/style-fw.css" type="text/css" media="screen" />

	<!-- my javascript -->
	<script type="text/JavaScript" src="<?php bloginfo('template_url'); ?>/framework/functions-fw.js"></script>	

	<!-- ======================================================= -->
	<!-- END - Bring in the framework -->
	<!-- ======================================================= -->

	<?php
	// If the settings were just updated, then tell the user
	if ( isset($_REQUEST['settings-updated']) ) {
		echo '<div class="updated fade"><p><strong>I just saved your options :)</strong></p></div>';
	}
	?>
    
	<div class="wrap">
    
	<!-- ======================================================= -->
	<!-- the header and logo -->
	<!-- ======================================================= -->    

		<?php
		// screen_icon();
		// echo "<h2> Theme Options</h2>";
		?>
        
        <img src="<?php bloginfo('template_url'); ?>/framework/images/logo.jpg">
        
        <h2>Setup your theme.</h2>
        
        <p>The boxes below are designed to help you build a high-converting and SEO-optimized website.</p>
        
        <p><strong>Need help?</strong> Contact us at the Clever Gizmos <a target='_blank' href="http://clevergizmos.com/contact/">contact</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> page.</p>      
 
        

<h4><a onclick="showhideHelp('div_preflight')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Pre-flight Checklist</h4>

<div class="divhelpbox" style="display: none;" id="div_preflight">        

    <p>This whole process will go a lot smoother if you have "all your ducks in a row" <i>before</i> you start fiddling with WordPress.</p>
    
    <h4>1. Your logo</h4>
    <p>It all starts with a pretty picture.</p>
    <p>You should make a 175 x 175 pixel image that depicts your logo and brand name. Below are some templates to get you started. In case you don't know, Pixlr.com is a free online drawing application that's really sweet.</p>
    <ul>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/logo.psd">logo.psd</a> - a 175 x 175 sample logo template for Adobe Photoshop.</li>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/logo.pxd">logo.pxd</a> - a 175 x 175 sample logo template for Pixlr.com.</li>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/logo.jpg">logo.jpg</a> - a 175 x 175 sample logo for anything.</li>
    </ul>       
    
    <h4>2. Your content</h4>
    <p>You should have some idea about what you'd like to say on your homepage. What keywords will you be targetting? What sort of copy will best make your target-audience want to buy?</p>


    <h4>3. Featured Images</h4>
    <p>Since the Sprezzatura themes makes use of the featured image options in WordPress, you should have a picture prepared for each article. This should be a he image should consist of a <strong>336 x 220</strong> web-optimized JPG image. Preferably with a white background.</p>
    <ul>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/featured-image.jpg">featured-image.jpg</a> - a 336 x 220 sample featured image.</li>
    </ul>    
    
    <h4>4. Video</h4>
    <p>Sprezzatura prominently feautures a video presentation box on its homepage. So before you begin, you should have already created a great two-minute intro video, and posted it on YouTube. Additionaly, Sprezzatura faces a "video cover" over the YouTube video itself. And this needs to be completed before continuing.</p>
    <ul>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.psd">video-face.psd</a> - a 640 x 360 video face template for Adobe Photoshop.</li>
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.pxd">video-face.pxd</a> - a 640 x 360 video face template for Pixlr.com.</li>        
        <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.jpg">video-face.jpg</a> - a 640 x 360 video face template for anything.</li>                
    </ul>      
                
</div> 

	<!-- ======================================================= -->
	<!-- END Bring in the framework -->
	<!-- ======================================================= -->


	<!-- The form will post to the WordPress options.php functions page -->
    <form method="post" action="options.php">
    
    
		<?php 
			// Output nonce, action, and option_page fields. MUST BE CALLED FROM INSIDE FORM TAG!
			settings_fields( 'sprezzatura_opt_group1' );
			// save the options to a temporary data structure
			$myTmpOptionSet = get_option( 'sprezzatura_opt_set1' );
		?>    


   




	
         
         
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 1: Homepage - Trophy Keyword</h3></legend>
                    
                <h4><a onclick="showhideHelp('div_help_rank')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Choose a keyword phrase for your homepage. <a title="Click here to see Google's search results for this keyword." style="font-weight: normal;" id="a_theGooLink" target='_blank' href='http://google.com'>See the keyword on Google</a><span id="span_img_external_google">&nbsp;</span></h4>
                <div class="divhelpbox" style="display: none;" id="div_help_rank">

                    <h4>How do I choose a primary keyword phrase?</h4>
                    
                    <p>Here are a few tips to ponder when choosing your primary keyword.</p>

                    <ul>
                    <li><b>The keyword should be representative of a query made by your primary target consumer.</b> Try to "get in the head" of the individual person who actually typed this keyword into Google. What is he looking for? What is his commercial intent? Does your product cater to this consumer's needs?</li>
                    <li><b>The keyword should ideally be searched for at least a couple thousand times a month.</b> Head over to the <a target='_blank' href='https://adwords.google.com/o/Targeting/Explorer?__c=1000000000&__u=1000000000&ideaRequestType=KEYWORD_IDEAS'>Google Keyword Tool</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> to find a keyword with an acceptable search volume. But don't let the search volume distract you. Keywords with lower search volume may often convert better. </li>
                    <li><b>The keyword you choose will typically contain over two letters (often three).</b> Longer keywords tend to have more specificity, and allow you to target a consumer who knows what he wants. They also tend to have less competition. For example, it would be quite difficult to rank your website for the keyword "dog." But, even once you do, this commercial intent of the person who typed in this keyword is highly questionable. Contrast this keyword with words like "dog training" or "dog training for collies" -- which are much more reflective of a marketable semantic idea.</li>
                    </ul>

					<h4>Why is this important?</h4>

					<p>The Sprezzatura WordPress Theme will use this keyword when it links to your homepage. For example, the alt attribute of the website's header will contain the keyword phrase that you type here. This aids in telling search engines that they should rank your homepage for this keyword.</p>
                    
                </div> 
                <input onkeyup="MakeGoogleLinkForUsersKeyword(this.value,'<?php bloginfo('template_url'); ?>/framework/images/external-link.png');" class="widefat" id="sprezzatura_opt_set1[sprezzaturaAltTag]" name="sprezzatura_opt_set1[sprezzaturaAltTag]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaAltTag']; ?>" />

				<script>
                    // run it the first time so we can set it on load
                    MakeGoogleLinkForUsersKeyword(document.getElementById('sprezzatura_opt_set1[sprezzaturaAltTag]').value,'<?php bloginfo('template_url'); ?>/framework/images/external-link.png');
                </script>
    
		 </fieldset>  
         
        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 2: Homepage - Content</h3></legend>
            
            <h4><a onclick="showhideHelp('div_help_getgo')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Create an appealing headline that describes your product or service. <span style="color: #36C;" id="span_lettercount1">&nbsp;</span></h4>
           
            <div class="divhelpbox" style="display: none;" id="div_help_getgo">
                
                <b>If you had just one sentence to tell someone how you can help them, what would you write?</b>
                
                <p>This is the first sentence that users will read, when they discover your website. So it is important that you write an enticing sentence to lure them in, and beckons them to read more. Don't make the mistake of merely putting your website's domain name or brand name here. Your brand should be attractively displayed in your logo (which is just to the left of this sentence). </p>
                <h4>Length</h4>
                <p>This line should be around 90 characters long (about 10 words). </p>
                <h4>SEO</h4>
                <p>Not only is this the first line of content that your customers will see, but, it is also the first line that Google will see too. You should have an existing list of keywords that you wish to rank this homepage for. And you should consider placing derivations of these keywords in this first sentence. Don't sacrifice aesthetics or marketing persuasion in lieu these words. There will be plenty of spaces to use them elsewhere on the page. But, you should always keep your keywords in mind as you compose your content.</p>            
                
                
            </div> 
            
            <textarea style="font-family: 'Georgia', sans-serif;  font-size: 19pt; line-height: normal;" onkeyup="SprezCountLetters(this.value,'span_lettercount1',90);" class="widefat" id="sprezzatura_opt_set1[sprezzaturaIntroLine1]" name="sprezzatura_opt_set1[sprezzaturaIntroLine1]" rows="2" ><?php echo $myTmpOptionSet['sprezzaturaIntroLine1']; ?></textarea>                


            <h4><a onclick="showhideHelp('div_help_u4')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Create your "Unique Selling Proposition." (U.S.P.) <span style="color: #36C" id="span_lettercount2">&nbsp;</span></h4>

            <div class="divhelpbox" style="display: none;" id="div_help_u4">
  
                <p>Use this first "mini paragraph" to explain how you can solve the consumer's problem, or make his life better. In the 50's they'd often refer to this as the <a target='_blank' href='http://en.wikipedia.org/wiki/Unique_selling_proposition'>Unique Selling Proposition</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> (U.S.P.).</p>
                <p>As Internet Marketers selling an information product, we have a bit more leeway these days. And don't need to subscribe to the original U.S.P. formula. (For example, we're shooting for a length of around 20 descriptive words in this sentence. Also, as Search Engine Marketers, we have the benefit of the <a title="Click here to visit the Wikipedia page on the Long Tail." target='_blank' href='http://en.wikipedia.org/wiki/Long_Tail'>Long Tail</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> and hence, do not necessarily need to woo "mass millions." We can stay nichey.)</p>
                <p>But, still, it's worth reading Rosser Reeves original definition of the U.S.P.:</p>
                
                <blockquote>
                <ol>
                 <li><b>Each advertisement must make a proposition to the consumer.</b> Not just words, not just product puffery, not just show-window advertising. Each advertisement must say to each reader: "Buy this product, and you will get this specific benefit."</li>
                 <li><b>The proposition must be one that the competition either cannot, or does not, offer.</b> It must be unique--either a uniqueness of the brand or a claim not otherwise made in that particular field of advertising.</li>
                 <li><b>The proposition must be so strong that it can move the mass millions,</b> i.e., pull over new customers to your product...</li>
                </ol>
                </blockquote>
                
                <h4>SEO</h4>
                <p>This is the second paragraph that Google will see. And, as hinted at above, here to, you should pepper in some keywords from your keyword list.</p>
                
                <h4>U.I.</h4>
                <p>It is usualy a good idea to tell the user what to do next. After your user reads this line, their next step is to watch the video. You can encourage this course of action by beckoning them to proceed to the video. For example, you may conclude with the sentence: "Watch the video to learn more." or "Click the two-minute video below."</p>
                                
            </div> 
            <textarea style="letter-spacing: 1px; color: #0066cc; font-family: 'Georgia', sans-serif; font-weight: normal; font-size: 14pt; line-height: normal;" onkeyup="SprezCountLetters(this.value,'span_lettercount2',170);" class="widefat" id="sprezzatura_opt_set1[sprezzaturaIntroLine2]" name="sprezzatura_opt_set1[sprezzaturaIntroLine2]" rows="3" ><?php echo $myTmpOptionSet['sprezzaturaIntroLine2']; ?></textarea>        


            <h4><a onclick="showhideHelp('div_help_udd')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> C. For your homepage content, select a WordPress Page or a Template PHP file. (optional)</h4>
            
            <div class="divhelpbox" style="display: none;" id="div_help_udd">
            
            	<h4>What is this for?</h4>
            	<p>In this step, you'll tell Sprezzatura how to display content that is unique to your homepage. Having lots of great content (that is exclusive to your homepage) is important because it enables you to display to Search Engines what sort of product or service you're selling. And hence, the search engines are more likely to send you targetted traffic.</p>
				<h4>There are two ways that you can specify homepage content.</h4>           
                                     
                <ol>
                <li><strong>Use a WordPress Page for your content:</strong> Create a <a title="Click here to open the WordPress Pages editor (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>edit.php?post_type=page'>WordPress Pages</a> in the typical fashion, and then select the page title in the drop-down box below.</li>
                <li><strong>Use a PHP file for your content:</strong> Create a PHP file and place it in your Sprezzatura directory. Then, simply type the filename in the box below. When Sprezzatura generates your homepage, it will search for this file and will simply insert any code you have there, into your homepage.</li>
                </ol>                              
                                
                <h4>SEO Tips</h4>                
				<p><strong>Your page content should contain many of the keywords that you have typed in the above keyword list.</strong> Don't use each keyword phrase verbatim. Rather, pepper in your keywords. Realize that these keywords will also make appearances in your title tag and meta description--to be filled out in the following steps.</p>  
                <p><i><strong>Note:</strong> The page you select here will be automatically set to &quot;noindex.&quot; This prevents search engines from getting confused about where they should send traffic.</i></p>
                
                <h4>Content Tips</h4>                
                <p>The content should reflect much of the same themes that are addressed in your YouTube video. But note that people tend to absorb information differently when they are reading, versus, when they are listening to audio. So your content should have an, almost, academic or authoriative air to it. For you are attempting to convince a casual internet visitor that you are learned enough about this subject that your content is worth their time and money.</p>
            </div>        
      
			<?php
			// see if there are any pages available
            $count_posts = wp_count_posts('page');
			// if there are no pages, then tell the user to make some first
            if ($count_posts->publish == 0) {
			?>
            
				<p>You have not made any <a title="Click here to open the WordPress Page (in a new tab)." target="_blank" href="<?php echo get_admin_url(); ?>edit.php?post_type=page">WordPress Pages</a> yet. Come back to this step after you make a page full of content--that will go on your front page.</p>
                
			<?php                
			}
            ?>
 
            <?php $args = array(
                'name'     => 'sprezzatura_opt_set1[sprezzaturaSelectedPageIDForHome]',
                'sort_order'   => 'ASC',
                'sort_column'  => 'post_title',
                'selected'	   => $myTmpOptionSet['sprezzaturaSelectedPageIDForHome'],
                'hierarchical' => 1,
				'show_option_none' => 'None',
                'post_type' => 'page')
            ?>
                    
            <?php wp_dropdown_pages( $args ); ?> 

			<b>&nbsp;&nbsp;&nbsp;OR&nbsp;&nbsp;&nbsp;</b>
            
            <input placeholder="myHomePageTemplate.php" style="color: green; width: 225px;" id="sprezzatura_opt_set1[sprezzaturaHomePageTplate]" name="sprezzatura_opt_set1[sprezzaturaHomePageTplate]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaHomePageTplate']; ?>" />



        </fieldset>

        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 3: Homepage - Video Setup</h3></legend>             
            
            <h4><a onclick="showhideHelp('div_help_u')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Enter the URL of your YouTube video.</h4>
            <div class="divhelpbox" style="display: none;" id="div_help_u">
            
                <p>Here is where you place a link to the <a target='_blank' href='http://www.youtube.com/'>YouTube</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> video that describes your information product. The link will look something like this:</p>

                 <blockquote style="font-family: 'Courier New', Courier, monospace;">http://www.youtube.com/watch?v=N2mNiu6yMdc</blockquote>
                                 
                 <p><i>Note: If you don't fill out this box, we're just going to insert this super sweet <a title="Click here to view the hunch.com video on YouTube." rel='nofollow' target='_blank' href="http://www.youtube.com/watch?v=N2mNiu6yMdc">video</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> by Hunch.com--for inspiration.</i></p>
                 <h4>What should the video contain?</h4>
                
                 <p>Here are a few topics to cover:</p>
                 <ul>
                 <li>The video should briefly describe your primary product or service.</li>
                 <li>The video should be less than two minutes long. Internet surfers are very inpatient.</li>
                 <li>The video should hint at what a person can get by opting in with their email address. Note that this video will be placed directly to the left of the email opt-in box.</li>
                 </ul>
                
                <h4>Quick tips on video creation </h4>
                 
                 <p>We can't go through a whole course on video creation here. But if you want to dive into the ancient art of movie making, then you might find that, these days, its pretty easy to get going. You might want to start by downloading a free copy of <a target='_blank' href="http://www.techsmith.com/jing.html">Jing by TechSmith</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />. Then, make a simple video about your product. Perhaps just record a slideshow presentation on your screen.</p>
                 <p><i>Note: The default display size on YouTube is 640 x 360 pixels. This means, if you want your video to have a YouTube-friendly aspect ratio, then you'll have to set your recording software or screen resolution to one of the following multipliers:</i></p>

                <blockquote>
				  <h4 style="color: black;">Common Multipliers of 640 x 360</h4>
                      <li>640 x 360</li>
                      <li>720 x 405</li>
                      <li>768 x 432</li>
                      <li>800 x 450</li>
                      <li>960 x 540</li>
                      <li>1024 x 576</li>
                      <li>1152 x 648</li>
                      <li>1280 x 720</li>
                      <li>1440 x 810</li>
                      <li>1600 x 900</li>
                      <li>1680 x 945</li>
                      <li>1792 x 1008</li>
                      <li>1856 x 1044</li>
                      <li>1920 x 1080</li>
                      <li>2048 x 1152</li>
                </blockquote>

                <h4>Quick tips on hiring motion graphic designers</h4>
                <p>It's cheaper than you might think. If you do it right...</p>
                <p>First off, you might try browsing for intro videos at <a target='_blank' href="http://fiverr.com/gigs/search?order=video&query=intro+video">Fiverr</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</p>
                <p>Professional motion graphics are typically created in a very challenging application called Adobe After Effects. So when you're ready to get a more customized look and feel, try perusing through these <a target='_blank' href='http://www.youtube.com/'>GraphicRiver Adobe After Effects projects</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.  Select one that you like, and then contact a designer to tweak it.</p>
                <p>Often, you can directly email the artist who posted the After Effects project himself, and negotiate a deal. You can also find designers who are happy to work with project files on <a target='_blank' href="https://www.odesk.com">Odesk</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> or <a target='_blank' href="http://www.freelancer.com/">Freelancer</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</p>
                
            </div> 
            <input placeholder="http://www.youtube.com/watch?v=" spellcheck="false" class="widefat" id="sprezzatura_opt_set1[sprezzaturaYouTubeCode]" name="sprezzatura_opt_set1[sprezzaturaYouTubeCode]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaYouTubeCode']; ?>" />

            <h4><a onclick="showhideHelp('div_help_u3')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Enter the URL of the image that will cover your YouTube video. (640 x 360 pixel image.)</h4>
            <div class="divhelpbox" style="display: none;" id="div_help_u3">

                <p>This is the image that will float above your YouTube video.</p>
                
                <ul>
                    <li><b>The image should be 640 x 360 pixels.</b></li>
                    <li><b>The image should be a web-optimized JPG image.</b></li>
                    <li><b>The image should reflect your product, service, or sales message in an attractive fashion.</b></li>
                    <li><b>The image should include a "time constraint."</b> People are naturally reluctant to give you a moment of their time. So assure them that this will indeed "only take a moment." Somewhere on your video cover, include a sentence that tells the user just how long the video is. For example, if your video is one minute and 33 seconds long, then your &quot;time constraint&quot; might say: &quot;Watch our 90 second video!&quot;</li>
                </ul>
                
                <blockquote style="font-family: 'Courier New', Courier, monospace;">
                    http://www.example.com/images/my-video-cover.jpg
                </blockquote>
                
                <h4>Samples</h4>
                
                <p>Here are some sample "video cover" files:</p>
                <ul>
                    <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.psd">video-face.psd</a> - a 640 x 360 video face template for Adobe Photoshop.</li>
                    <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.pxd">video-face.pxd</a> - a 640 x 360 video face template for Pixlr.com.</li>        
                    <li>Download <a href="<?php bloginfo('template_url'); ?>/framework/help-resources/video-face.jpg">video-face.jpg</a> - a 640 x 360 video face template for anything.</li>                
                </ul>                 

            </div> 
            <input placeholder="http://www.MyWebsite.com/images/video-face.jpg" spellcheck="false" class="widefat" id="sprezzatura_opt_set1[sprezzaturaVideoCoverURL]" name="sprezzatura_opt_set1[sprezzaturaVideoCoverURL]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaVideoCoverURL']; ?>" />

            <h4><a onclick="showhideHelp('div_help_u32')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> C. Enter the URL of the image that will show when your video is done. (640 x 360 pixel image.)</h4>
            <div class="divhelpbox" style="display: none;" id="div_help_u32">
                <p>This image will show when the video is done.</p>
            </div> 
            <input placeholder="http://www.MyWebsite.com/images/after-video-image.jpg" spellcheck="false" class="widefat" id="sprezzatura_opt_set1[sprezzaturaVideoAfterImageURL]" name="sprezzatura_opt_set1[sprezzaturaVideoAfterImageURL]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaVideoAfterImageURL']; ?>" />












            <h4><a onclick="showhideHelp('div_helpTracking')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> D. Enter some javascript code for tracking your video's click event (optional).</h4>
            <div class="divhelpbox" style="display: none;" id="div_helpTracking">
                <h4>What is this?</h4>
                <p>When you setup "events" in Google Analytics, you are given a little piece of code to place into click events on your website. When your users perform this action (usual clicking their mouse) then a note is made in your Google Analytics account. Website owners use this information to track various properties of their users--such as how many of their user's actually watched the video on your website.</p>
                <h4>What would this "code" look like?</h4>
                <p>Below is an example of the type of line that you might type here. Don't forget that this is typically a javascript piece of code. And should be terminated with a semicolon.</p>
                <blockquote style="font-family: 'Courier New', Courier, monospace;">
                    _gaq.push(['_trackEvent', 'myButtons', 'myPlayButton']);
                </blockquote>
                <h4>Important Notice!</h4>                
                <p><strong><span style="background-color: yellow;">You cannot enter DOUBLE QUOTATION MARKS (") in this box!</span></strong></p>
                <p>Instead use the single apostrophe (') mark.</p>                 
            </div>
            <input placeholder="_gaq.push(['_trackEvent', 'myCategory', 'myButton']);" spellcheck="false" class="widefat" id="sprezzatura_opt_set1[sprezzaturaVideoTrackingCode]" name="sprezzatura_opt_set1[sprezzaturaVideoTrackingCode]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaVideoTrackingCode']; ?>" />

        </fieldset>       
        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
        
            <legend>
            	<h3>Step 4: Homepage - Meta Information</h3></legend>
                
            	<h4><a onclick="showhideHelp('div_help_goolist')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Optimize your meta information for the search engines.</h4>
                
                <div class="divhelpbox" style="display: none;" id="div_help_goolist">
                    <p>This is the sentence that Google will use (usually) to describe your website to web searchers. So it's important that you <strong>create an appealing line</strong>--that draws the user in, and beckons them to click.</p>
                    <h4>SEO Information</h4>
                    <p>The title tag has traditionally received a lot of attention in terms of SEO value. And is often heralded as the most important tag on a webpage. As always, fashion your title tag in a manner that would be attractive to your target demographic. And, sprinkle in your keywords throughout.</p>
                    <p><strong>The title tag should probably contain some derivation of your Trophy Keyword.</strong></p>
                    <p>Here is where you write a little eye-catching line that will go beneath the blue website title--on Google's search results page. As stated above, here to, your goal is to draw the user in. And to convey to them that you have what they are searching for.</p>
					<h4>Length</h4>
                    <p>Generally, you want to be sure you take up as much space as possible. Because Google's users will scan the search results very quickly. And hence, if you only write one line, then you're not taking up as much screen "real estate" as you could be.
                    <h4>SEO Information</h4>
                    <p>The SEO value of the meta description is secondary to your actual on-site content of course. But, you should consider peppering in keywords here as well.</p>                          
                    <p>This little preview below is designed to give you an idea of how Google may render your Title Tag and Meta Description. <strong>Of course, it is not possible to fully predict how close this result will be to the actual result.</strong> Google may change their rendering of this information depending on a myriad of factors--ranging from the location of the searcher to the nature and historical dataset of the query itself.</p>                                        
               </div>
                                            
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                <!-- START - The Meta Editor --> 
                <!-- ======================================================= --> 
                    
                <!-- START - Draw the snippet --> 
                <div style="max-width: 530px;">
                    <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-top.png) top left repeat-x;"></div>                
                    <div style="background-color: white; padding: 9px; border: 0px solid #dfdfdf;">
                        <p style="width: 500px; color: #1122cc; text-decoration: underline; font-size: 12pt; margin: 0px;"><input autocomplete="off" onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 65-character meta title." style="color: #1122cc; text-decoration: underline; font-size: 12pt; font-family: Arial; border: 0px solid #CCC;" type="text" class="widefat" id="sprezzatura_opt_set1[sprezzaturaSiteTitle]" name="sprezzatura_opt_set1[sprezzaturaSiteTitle]" value="<?php echo htmlentities($myTmpOptionSet['sprezzaturaSiteTitle']); ?>" /></p>
                        <p style="width: 500px; color: #009952; text-decoration: none; font-size: 9pt; margin: 0px 0px 0px 3px;"><span id="mySlugDisplay">slug</span>/</p>
                        <p style="width: 500px; color: black; text-decoration: none; font-size: 9pt; margin: 0px;"><textarea onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 160-character meta description. The search engines will use this sentence to give their users an idea about the content of this page." style="font-family: Arial; border: 0px solid #CCC; outline: none;" class="widefat" rows="2" id="sprezzatura_opt_set1[sprezzaturaSiteDescription]" name="sprezzatura_opt_set1[sprezzaturaSiteDescription]" ><?php echo $myTmpOptionSet['sprezzaturaSiteDescription']; ?></textarea></p>
                    </div> 
                    <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-bottom.png) top left repeat-x;"></div>      
                </div>        
                <!-- END - Draw the snippet --> 
            
                <script> 
                
                    // if the slugID is not NULL, then our slug test is equal to the text of the innerHTML.
                    var mySlugID = document.getElementById('editable-post-name');
                    if (mySlugID != null) { mySlugTxt = mySlugID.innerHTML; };
                                
                    // get the website domain name.
                    var TheSiteDomainName = "<?php $NiceLookingHomePage = get_option('home'); echo str_replace('http://','',$NiceLookingHomePage); ?>";
                    
                    // set the green URL
                    if (mySlugID != null) {
                        document.getElementById('mySlugDisplay').innerHTML = (TheSiteDomainName + "/" + mySlugTxt);
                    } else {
                        document.getElementById('mySlugDisplay').innerHTML = TheSiteDomainName;
                    }
                        
                </script> 
            
            
                <!-- ======================================================= --> 
                <!-- END - The Meta Editor --> 
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                <!-- ======================================================= --> 
                            
                       
      
                
                
                                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
            	<h4><a onclick="showhideHelp('div_help_favicon')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> D. Specify your Favicon.</h4>
                
                <div class="divhelpbox" style="display: none;" id="div_help_favicon">
                
                	<p>A favicon is a little icon that is usually displayed by a webbrowser on the left of your website's URL.</p>
					<p>Below, type the URL of your favicon. For example, if you created a folder in your website's root folder called "myimages," then you'd type something like this:</p>
					<blockquote style="font-family: 'Courier New';">http://www.example.com/my-images/cool-apple-favicon.ico</blockquote>                    
                    <p>An awesome resource for free beautiful icons can be found at <a target='_blank' href="http://findicons.com/">FindIcons.com</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</p>
                    
                </div>  
                       
                <input placeholder="http://www.MyWebsite.com/images/favicon.ico" class="widefat" id="sprezzatura_opt_set1[sprezzaturaFavicon]" name="sprezzatura_opt_set1[sprezzaturaFavicon]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaFavicon']; ?>" />
                
                                
        </fieldset>
        
        

        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            
            <h3>Step 5: Homepage - Utility Boxes</h3></legend>  
            
                <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
                  <tr>
                    <td width="33%" align="left" valign="top">
                        <h4><a onclick="showhideHelp('div_help_Util1')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Utility Box 1</h4>
                    </td>
                    <td width="33%" align="left" valign="top">
                        <h4>B. Utility Box 2</h4>
                    </td>
                    <td width="34%" align="left" valign="top">
                        <h4>C. Utility Box 3</h4>
                    </td>
                  </tr>
                </table> 

                <div class="divhelpbox" style="display: none;" id="div_help_Util1">

                    <h4>What is this for?</h4>
                    <p>This is where you fill in some text for the three grey boxes that are just below the video box on your homepage.</p>

                    <h4>So, what should I put in these three boxes?</h4>
                    <p>Given the prominance of their display (high on the homepage), these three boxes should probably be used for one of the following:</p>
                    <ol>
                      <li>Tell the user how to buy your product.</li>
                      <li>Lead the user to a popular tool, article, or resource on your site.</li>  
                      <li>Build trust and display your credentials to the user.</li>
                      <li>Tell the user how to contact you.</li>
                      <li>Tell the user about one of your Web 2.0 properties--assuming it is actually used as a marketing arm. (e.g. don't send them to a Facebook page that you never use.)</li>
                    </ol>

                  
                    <h4>What kind of code can I put here?</h4>
                    <p>You can put pretty much any sort of HTML, CSS, or Javascript code you want into these three boxes.</p>

                    <h4>Would you like to use your own icons?</h4>
                    <p>If you'd like to upload your own icons, you can do so by using your FTP program and inserting the icons into the <a target='_blank' href="<?php bloginfo('template_url'); ?>/images/icons/">images/icons/</a> folder of the Sprezzatura WordPress theme.</p>
                    
                    

                    <p>Personally, I like to use the there boxes as follows:</p>
                    <ol>
                      <li>A Buy Button</li>
                      <li>A Product Guarantee</li>
                      <li>A Contact Link</li>
                    </ol>
                    
                    <h4>Here is an example:</h4>
                    
                    <p>We have printed an example of what your three utility boxes might look like below:</p>
                    
                        <table border="1" cellpadding="11" cellspacing="7" bordercolor="#e2e2e2" width="100%">
                          <tr>
                            <td width="33%" height="20" bgcolor="#f7f7f7" align="left" valign="top">
                                <h4 style="color: black; font-family: 'Georgia', sans-serif;  font-size: 12pt; line-height: normal;">Buy Now</h4>
                                <p>Purchase My Information Product today. Click the buy button now.</p>
                            </td>
                            <td width="33%" height="20" bgcolor="#f7f7f7" align="left" valign="top">
                                <h4 style="color: black; font-family: 'Georgia', sans-serif;  font-size: 12pt; line-height: normal;">Guarantee</h4>
                                <p>Your satisfaction is important to me. If you're not completely satisfed with your information product, simply request a refund within 60 days of purchase.</p>
                            </td>
                            <td width="34%" height="20" bgcolor="#f7f7f7" align="left" valign="top">
                                <h4 style="color: black; font-family: 'Georgia', sans-serif;  font-size: 12pt; line-height: normal;">Contact</h4>
                                <p>If you have a question about the information product, or anything at all, please don't hesitate to contact me.</p>
                            </td>
                          </tr>
                        </table>
                    
                  
                </div>
                
                <?php if (!isset($myTmpOptionSet['sprezzaturaUtil1img'])) { $myTmpOptionSet['sprezzaturaUtil1img'] = '0000-no-icon.png'; } ?>
                <?php if (!isset($myTmpOptionSet['sprezzaturaUtil2img'])) { $myTmpOptionSet['sprezzaturaUtil2img'] = '0000-no-icon.png'; } ?>
                <?php if (!isset($myTmpOptionSet['sprezzaturaUtil3img'])) { $myTmpOptionSet['sprezzaturaUtil3img'] = '0000-no-icon.png'; } ?>
             
                <div style="position: relative; float: left; width: 99%;">
                    <div style="position: relative; float: left; width: 33%;">
                        <input id="sprezzatura_opt_set1[sprezzaturaUtil1img]" name="sprezzatura_opt_set1[sprezzaturaUtil1img]" type="hidden" value="<?php echo $myTmpOptionSet['sprezzaturaUtil1img']; ?>" />
                        <img id="img_SelectedIcon1" onclick="toggleIconSelectorWindow(this,'on');" style="cursor: pointer; margin: 0px 7px 7px 0px;" align="left" src="<?php echo get_bloginfo('template_url') . '/images/icons/' . $myTmpOptionSet['sprezzaturaUtil1img']; ?>" />
                        <input style="width: 80%;" id="sprezzatura_opt_set1[sprezzaturaUtilHeader1]" name="sprezzatura_opt_set1[sprezzaturaUtilHeader1]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilHeader1']; ?>" />
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <input id="sprezzatura_opt_set1[sprezzaturaUtil2img]" name="sprezzatura_opt_set1[sprezzaturaUtil2img]" type="hidden" value="<?php echo $myTmpOptionSet['sprezzaturaUtil2img']; ?>" />
                        <img id="img_SelectedIcon2" onclick="toggleIconSelectorWindow(this,'on');" style="cursor: pointer; margin: 0px 7px 7px 0px;" align="left" src="<?php echo get_bloginfo('template_url') . '/images/icons/' . $myTmpOptionSet['sprezzaturaUtil2img']; ?>" />
                        <input style="width: 80%;" id="sprezzatura_opt_set1[sprezzaturaUtilHeader2]" name="sprezzatura_opt_set1[sprezzaturaUtilHeader2]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilHeader2']; ?>" />
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <input id="sprezzatura_opt_set1[sprezzaturaUtil3img]" name="sprezzatura_opt_set1[sprezzaturaUtil3img]" type="hidden" value="<?php echo $myTmpOptionSet['sprezzaturaUtil3img']; ?>" />
                        <img id="img_SelectedIcon3" onclick="toggleIconSelectorWindow(this,'on');" style="cursor: pointer; margin: 0px 7px 7px 0px;" align="left" src="<?php echo get_bloginfo('template_url') . '/images/icons/' . $myTmpOptionSet['sprezzaturaUtil3img']; ?>" />
                        <input style="width: 80%;" id="sprezzatura_opt_set1[sprezzaturaUtilHeader3]" name="sprezzatura_opt_set1[sprezzaturaUtilHeader3]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilHeader3']; ?>" />
                    </div>              
                </div>
                
                                
                <div style="position: relative; float: left; width: 99%;">
                    <div style="position: relative; float: left; width: 33%;">
                        <textarea rows="15" style="width: 95%; font-family: 'Courier New';" spellcheck="false" id="sprezzatura_opt_set1[sprezzaturaUtil1]" name="sprezzatura_opt_set1[sprezzaturaUtil1]"><?php echo $myTmpOptionSet['sprezzaturaUtil1']; ?></textarea>            
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <textarea rows="15" style="width: 95%; font-family: 'Courier New';" spellcheck="false" id="sprezzatura_opt_set1[sprezzaturaUtil2]" name="sprezzatura_opt_set1[sprezzaturaUtil2]"   ><?php echo $myTmpOptionSet['sprezzaturaUtil2']; ?></textarea>
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <textarea rows="15" style="width: 95%; font-family: 'Courier New';" spellcheck="false" id="sprezzatura_opt_set1[sprezzaturaUtil3]" name="sprezzatura_opt_set1[sprezzaturaUtil3]"   ><?php echo $myTmpOptionSet['sprezzaturaUtil3']; ?></textarea>                
                    </div>              
                </div>
                
				<!-- spacer -->
				<div style="clear: both;">&nbsp;</div>                 
            
                

				<h4><a onclick="showhideHelp('div_help_Utiltemplates')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Use a template for the utility box. (optional)</h4>                
                <div class="divhelpbox" style="display: none;" id="div_help_Utiltemplates">
                
                    <h4>What is this for?</h4>
                    <p>Sometimes you may want to have some "special code" run in one of your utility boxes here. For example, perhaps you'd like to give people a discount if they purchase via before a certain date. Then, you'd write some PHP code in a file, and type the name of the PHP file in one of the boxes below. And, Sprezzatura will execute this PHP code in the utility box when your customers land on your site.</p>
                    
                    <h4>How to create a template.</h4>
                    
                    <ol>
                      <li><b>First</b>, create your PHP file and write your code.</li>
                      <li><b>Second</b>, save your PHP file in your Sprezzatura folder. (e.g. in the same spot where the other WordPress templates are--like footer.php, page.php etc...)</li>  
                      <li><b>Third</b>, type the name of your new PHP file in one of the white boxes below.</li>    
                    </ol>

                    <p>That's it.</p>
                </div>
                
                <div style="position: relative; float: left; width: 99%;">
                    <div style="position: relative; float: left; width: 33%;">
                        <input placeholder="myTemplate.php" style="color: green; width: 85%;" id="sprezzatura_opt_set1[sprezzaturaUtilTplate1]" name="sprezzatura_opt_set1[sprezzaturaUtilTplate1]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilTplate1']; ?>" />
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <input placeholder="myTemplate.php" style="color: green; width: 85%;" id="sprezzatura_opt_set1[sprezzaturaUtilTplate2]" name="sprezzatura_opt_set1[sprezzaturaUtilTplate2]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilTplate2']; ?>" />
                    </div>              
                    <div style="position: relative; float: left; width: 33%;">
                        <input placeholder="myTemplate.php" style="color: green; width: 85%;" id="sprezzatura_opt_set1[sprezzaturaUtilTplate3]" name="sprezzatura_opt_set1[sprezzaturaUtilTplate3]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaUtilTplate3']; ?>" />
                    </div>              
                </div>
         
        </fieldset> 
 
 
 
 
 
 		<fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
         <legend><h3>Step 6: Homepage - Archive Navigation</h3></legend>   
         
            <h4><a onclick="showhideHelp('div_help_show1')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Should we list your latest blog posts on the homepage?</h4>
            <div class="divhelpbox" style="display: none;" id="div_help_show1">
   
                <p>If you select this box, then <strong>your latest posts will not be displayed</strong> at the bottom of your website's homepage. (As they are in a typical WordPress theme.) Of course, any posts that you specifically select the "feature" checkbox for, will still be displayed here.</p>

                <h4>User Interface Design</h4>

                <p>This may be beneficial from a user perspective, as your latest posts might not necessarily be beneficial to the casual browser who stumbles upon your site. This person may not care to be made aware of your "latest thoughts." But rather, is more interested in your primary product. And, in what immediate value you can offer him.</p>
         
			</div> 
            
            <p><input type="checkbox" id="sprezzatura_opt_set1[sprezzaturaHideLatestPosts]" name="sprezzatura_opt_set1[sprezzaturaHideLatestPosts]" value="1" <?php checked( '1', $myTmpOptionSet['sprezzaturaHideLatestPosts'] ); ?> /><label> Do not display my latest posts on the homepage.</label></p>               
            
            
            <h4><a onclick="showhideHelp('div_help_udd1')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Should we link to an "Archive Page" on your homepage?</h4>
		
        	<p>Would you like to place a link to an archive page, at the bottom of your homepage? If so, select the page to be used as your archive page below:</p>
            
            <div class="divhelpbox" style="display: none;" id="div_help_udd1">
           
				<h4>What is this thing?</h4>  
      
                <p>There are many ways to display web documents. By default, most 
                WordPress installs display older posts in a blog-like fashion. e.g. as 
                the user clicks the &quot;previous&quot; button, they are shown increasingly 
                older posts.</p>   
                <p><strong>However, the vast majority of web surfers never surf very far 
                beyond page one.</strong></p>   
                <p>In light of this, is there a way to make web archives more user-friendly?< Well that is where this archive display method comes in. Basically, instead of a blurb of pages to scroll through, the user 
                is presented with a menu-style list of all of the blog's content.</p>   
                <p>If you'd like to see an example, minimalism blogger Leo Babauta nicely uses this method on <a target='_blank' href="http://zenhabits.net/archives/">his archives page</a>.
                
                <h4>How to setup the archives page</h4>   
                <p>If you'd like try it, there are a couple steps to follow:</p>   
                <ol>
                    <li><strong>First</strong>, create a new <a title="Click here to open the WordPress Pages (in a new tab)." target="_blank" href="<?php echo get_admin_url(); ?>edit.php?post_type=page">WordPress Page</a>.</li>
                    <li><strong>Second</strong>, in the &quot;Page Attributes&quot; box, you should see a drop-down box below the &quot;Template&quot; heading. Select the available template via this box, and save the page.</li>   
                    <li><strong>Third</strong>, when you come back to this page (or refresh it), then your newly created WordPress Page should be listed in the below drop-down box. So, select it and you're done.</li>                                     
                </ol>
              
            </div>         
            
                      
           
             <?php $args2 = array(
                'name'     => 'sprezzatura_opt_set1[sprezzaturaSelectedPageIDForArchives]',
                'sort_order'   => 'ASC',
                'sort_column'  => 'post_title',
                'selected'	   => $myTmpOptionSet['sprezzaturaSelectedPageIDForArchives'],
                'hierarchical' => 1,
				'show_option_none' => 'No, do not use this feature.',
                'post_type' => 'page')
            ?>
                    
			<?php
			// see if there are any pages available
            $count_posts = wp_count_posts('page');
			// if there are no pages, then tell the user to make some first
            if ($count_posts->publish == 0) {
			?>
            
				<p>You have not made any <a title="Click here to open the WordPress Page (in a new tab)." target="_blank" href="<?php echo get_admin_url(); ?>edit.php?post_type=page">WordPress Pages</a> yet. Come back to this step after you make a page.</p>
                
			<?php                
			}
            ?>
                                
            <?php wp_dropdown_pages( $args2 ); ?> 
        
     </fieldset>    

             
       
		<fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 7: Title Tag Suffix (e.g. A "brand identifier" for your website.)</h3>
            </legend>
            
            	<h4><a onclick="showhideHelp('div_help_brandid')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Enter your Title Tag Suffix.</h4>
                
                <div class="divhelpbox" style="display: none;" id="div_help_brandid">
                    <p>It is fairly common practice to put your brand name at the end of each webpage on your site.</p>
                    <p>For example, examine the <strong>Title Tag</strong> on the Wikipedia <a target='_blank' href="http://en.wikipedia.org/wiki/Dog_training">dog training</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> page. We've printed it below:</p>
                    <blockquote>Dog training - Wikipedia, the free encyclopedia.</blockquote>
                    <p><strong>Notice the text after the hyphen (-)?</strong> This is Wikipedia's "brand identifier."</p>
                    <p><strong>The effect that this phrase has on SEO is a curious and fairly complicated topic.</strong> Generally speaking, you may want to use minimal verbiage here. And seriously consider using no suffix at all.</p>
					<i>Note that Sprezzatura does not display the title suffix on the homepage of your site. This is because your homepage Title Tag should already contain elements of your brand by default.</i>                    
                </div>  
                       
                <input class="widefat" id="sprezzatura_opt_set1[sprezzaturaSiteTitleBrand]" name="sprezzatura_opt_set1[sprezzaturaSiteTitleBrand]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaSiteTitleBrand']; ?>" />
        </fieldset>         
        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 8: Footer Template</h3></legend>
            
            	<h4><a onclick="showhideHelp('div_help_312322')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Select a template to run in your site's footer.</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_312322">
					<p>You can select a PHP file here to run in your website's footer. This is useful if you'd like to create a "footer coupon" for example.</p>
                </div>         
                <input placeholder="myTemplate.php" style="color: green; width: 100%;" id="sprezzatura_opt_set1[sprezzaturaFooterTplate]" name="sprezzatura_opt_set1[sprezzaturaFooterTplate]" type="text" value="<?php echo $myTmpOptionSet['sprezzaturaFooterTplate']; ?>" />

            
        </fieldset>     
                
        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 9: Tracking Codes</h3></legend>
            
            	<h4><a onclick="showhideHelp('div_help_3123')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Code to place above the closing &lt;/HEAD&gt; tag. (For example, your Google Analytics code snippet typically goes here.)</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_3123">
					<p>Whatever you put in this box below, will be inserted above the closing "<strong><font face="Courier New">&lt;/head&gt;</font></strong>" tag on each page of this website. Typically this is used to insert your <a target='_blank' href='http://google.com/analytics/'>Google Analytics</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> code.</p> 
                </div>         
            	<textarea spellcheck="false" class="widefat" style="font-family: 'Courier New', Courier, monospace;" id="sprezzatura_opt_set1[sprezzaturaTrackingCodeAboveHead]" name="sprezzatura_opt_set1[sprezzaturaTrackingCodeAboveHead]" rows="3" ><?php echo $myTmpOptionSet['sprezzaturaTrackingCodeAboveHead']; ?></textarea>        
       
                <p><input type="checkbox" id="sprezzatura_opt_set1[sprezzaturaHideTrackingCodeAboveHead]" name="sprezzatura_opt_set1[sprezzaturaHideTrackingCodeAboveHead]" value="1" <?php checked( '1', $myTmpOptionSet['sprezzaturaHideTrackingCodeAboveHead'] ); ?> /><label> Hide this code when the admin is logged in.</label></p>
                
            	<h4><a onclick="showhideHelp('div_help_body3')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Code to place above the closing &lt;/BODY&gt; tag. (For example, the Aweber tracking code often goes here.)</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_body3">
					<p>Whatever you put in this box below, will be inserted above the closing "<strong><font face="Courier New">&lt;/body&gt;</font></strong>" tag on each page of this website.</p> 
                </div>         
            	<textarea spellcheck="false" class="widefat" style="font-family: 'Courier New', Courier, monospace;" id="sprezzatura_opt_set1[sprezzaturaTrackingCodeAboveBody]" name="sprezzatura_opt_set1[sprezzaturaTrackingCodeAboveBody]" rows="3" ><?php echo $myTmpOptionSet['sprezzaturaTrackingCodeAboveBody']; ?></textarea>        

                <p><input type="checkbox" id="sprezzatura_opt_set1[sprezzaturaHideTrackingCodeAboveBody]" name="sprezzatura_opt_set1[sprezzaturaHideTrackingCodeAboveBody]" value="1" <?php checked( '1', $myTmpOptionSet['sprezzaturaHideTrackingCodeAboveBody'] ); ?> /><label> Hide this code when the admin is logged in.</label></p>
                     
                
        </fieldset>     
        
        
        
        
        
        
        
        
        
        
        
        
        
        <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 10: Setup your 404 error page</h3></legend>

            <h4><a onclick="showhideHelp('div_help_udd42')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Select a unique WordPress Page to use as your 404 content. (optional)</h4>
            
            <div class="divhelpbox" style="display: none;" id="div_help_udd42">
            
            	<h4>What is this?</h4>
            	<p>The "404 page" is the infamous page you see when you stumble upon a website, and the page you sought is no longer available. Sometimes, its preferable to put some unique content here which will beckon the user on--usually to a page at which you wish they would land.</p>
            	<p>If you don't set anything here, then Sprezzatura will just use a typical (English Language) sentence to lead the user to the homepage.</p>

            	<h4>How to use this?</h4>
            	<p>Create a WordPress Page in the typical fashion, and then select it from the drop-down box below. Typically, your 404 page will notify the user that the resource is no longer available. And, perhaps lead them to a resource that can benefit them.</p>

            </div>        
      
			<?php
			// See if there are any pages available
            $count_posts = wp_count_posts('page');
			// If there are no pages, then tell the user to make some first
            if ($count_posts->publish == 0) {
			?>            
				<p>You have not made any <a title="Click here to open the WordPress Page (in a new tab)." target="_blank" href="<?php echo get_admin_url(); ?>edit.php?post_type=page">WordPress Pages</a> yet. Come back to this step after you make a page full of content--that will go on your front page.</p>
                
			<?php                
			}
            ?>
 
            <?php $args = array(
                'name'     => 'sprezzatura_opt_set1[sprezzaturaSelectedPageIDFor404]',
                'sort_order'   => 'ASC',
                'sort_column'  => 'post_title',
                'selected'	   => $myTmpOptionSet['sprezzaturaSelectedPageIDFor404'],
                'hierarchical' => 1,
				'show_option_none' => 'None',
                'post_type' => 'page')
            ?>
                    
            <?php wp_dropdown_pages( $args ); ?> 


        </fieldset>        
     
        
        
        
        
        
        
        
        
        
        
        
        
        
         <fieldset style="padding: 1px 15px 5px 15px; margin-bottom: 11px; border: 1px solid #dfdfdf; background-color: #f8f8f8;">
            <legend>
            <h3>Step 11: Other WordPress Settings</h3></legend>
            
            	<h4><a onclick="showhideHelp('div_help_31')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> A. Menus</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_31">



					<h4>The Sprezzatura WordPress Theme includes two menu 
                    locations:</h4>
                    <p><strong>Menu 1</strong>: "The Navigation Bar" - The 
                    horizontal navigation bar typically gets a lot of attention 
                    from new visitors. Links that you insert here should be 
                    specifically designed to funnel traffic on to web pages that convert 
                    visitors into email subscribers or customers. It should also 
                    be used to direct users to the most commonly requested 
                    pages. It is fairly common practice to put a &quot;Home&quot; link and 
                    a &quot;Contact&quot; link in this bar. FAQ (Frequently Asked 
                    Questions) pages are also common.</p>
                    <p><strong>Menu 2</strong>: "The Footer&quot; - The footer is 
                    traditionally reserved for links that no one cares about and 
                    that few people will ever click. This often includes legal 
                    documents like the Privacy Policy or Terms of Use page. 
                    Typically navigational links will be added to commonly 
                    requested pages like &quot;Home&quot; and &quot;Contact.&quot; Also, if you have 
                    an affiliate program, it is common practice to make a 
                    resource page so Affiliate Marketers can get information 
                    about how to craft affiliate links, and download promotional 
                    resources.</p>



                </div>         
				<p>Setup the WordPress <a title="Click here to open the Menus page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>nav-menus.php'>Menus</a> page.</p>
                       
            	<h4><a onclick="showhideHelp('div_help_3133')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> B. Custom Headers</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_3133">


                    <p>In the Sprezzatura WordPress theme, we tend to use the word &quot;logo.&quot; But 
                    technically, in WordPress the logo is really called the &quot;header.&quot; <strong>So it is actually in the &quot;WordPress Header admin page&quot; that you upload your company logo.</strong></p>
                    <h4>Logo Creation Tips</h4>
                    
                    
                    <ul>
                    <li><b>The logo should consist of a 175 x 175 web-optimized JPG image.</b> You can create your logo in Adobe Photoshop of course. But there are many free paint 
                    programs out there like <a target='_blank' href="http://gimp.org/">Gimp</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> and <a target='_blank' href="http://pixlr.com/">Pixlr</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />.</li>
                    <li><b>The trick to logo design is understand that &quot;less is more.&quot;</b></li>
                    <li><strong>Want some logo inspiration?</strong> Head over to <a target='_blank' href="http://logopond.com/">Logo Pond</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> and have a look at all the amazing designs.</li>
                    </ul>
                    




                </div>         
				<p>Setup the WordPress <a title="Click here to open the Custom Header page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>themes.php?page=custom-header'>Custom Header</a> page.</p>


            	<h4><a onclick="showhideHelp('div_help_ww')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> C. Widgets</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_ww">


<p>You can add all the widgets you want to the Sprezzatura sidebar. But I suggest you add <a target='_blank' href='http://wordpress.org/extend/plugins/yet-another-related-posts-plugin/'>Yet Another Related Posts Plugin (YARPP)</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" />. Because, Sprezzatura comes with its own YARPP Template file.</p>


                  
                </div>         
				<p>Setup the WordPress <a title="Click here to open the Widgets page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>widgets.php'>Widgets</a> page.</p>
                
            	<h4><a onclick="showhideHelp('div_help_rs')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> D. Reading Settings</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_rs">
                
					<p>For the Sprezzatura theme, its best if you <strong>change the "Blog pages to show at most" value, to a number divisible by 3</strong> (like 3, 6, 9, 12, etc...). This will ensure that your list of posts occupies an even number of rows on the homepage.</p>
                    
                </div>         
				<p>Setup the WordPress <a title="Click here to open the Reading Settings page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>options-reading.php'>Reading Settings</a> page.</p>
                               
            	<h4><a onclick="showhideHelp('div_help_rs34')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> E. Author Bio</h4>
                <div class="divhelpbox" style="display: none;" id="div_help_rs34">
					<p>On your profile page, be sure to setup your "<strong>Biographical Info</strong>" as well as the "<strong>Display name publicly as</strong>" drop-down box. Each post in the Sprezzatura theme, will contain a link to the post author's archive. Here, the author's bio will be displayed.</p>
                    
                    <h4>Why is this important?</h4>
                    
                    <p>Ideally, Google needs to show its users an array of the best information possible. Preferably written by experts in the field. By providing a lot of indepth bio information here, we ensure that, if in the rare circumstance in which a Google employee manually reviews the site, they can see that the content was written by a credible source.</p>
                    
                    <h4>SEO</h4>
                    
                    <p>At some point, you should consider adding author tag information to your bio, and hooking it to your Google+ account. Google might eventually consider this a viable "trust indicator," and hence, may be less reluctant to rank your page. Also, a small author bio picture will appear in search results which will lead to increased CTR. Click on Google's own <a target='_blank' href="http://support.google.com/webmasters/bin/answer.py?hl=en&answer=1408986&topic=2371375&ctx=topic">Author Info</a> <img src="<?php bloginfo('template_url'); ?>/framework/images/external-link.png" /> help page to learn more.</p>
                    
                    </p>
                </div>         
				<p>Setup the WordPress <a title="Click here to open the Reading Settings page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>profile.php'>Profile</a> page.</p>
                    
            <h4><a onclick="showhideHelp('div_help_brev')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> F. General Settings</h4>

            
            <div class="divhelpbox" style="display: none;" id="div_help_brev">
            
            	<p>On the WordPress General Settings page, insert your Site Title and Tagline.</p>

                <p>WordPress themes feature a Site Title and a Tagline--which are set in the 
                General Settings page. These text fields typically appear at the top of each webpage 
                on your site.</p>
                
                <p>But, in the Sprezzatura theme, we don't use these fields on our homepage. (Rather, we use the text from 
                the Headline and the U.S.P. above.) But, on all the other site pages, Sprezzatura 
                indeed does indeed use the traditional WordPress Site Title and Tagline fields.</p>
                
                <h4>So why not use the same title and tagline on every page?</h4>
                
                <p>Because the homepage for the Sprezzatura theme is being used as a &quot;pitch 
                page.&quot;. Whereas, the traditional WordPress Site Title and Tagline text tend to 
                lend themselves to brevity. This has its place. But not for the top of a pitch 
                page--where we're trying to sell something and need to be a bit more verbose and 
                direct about what our website homepage provides.</p>
                
                <h4>Ok...&nbsp; So what should my WordPress Site Title and a Tagline say?</h4>
                
                <p><b>Short, direct, clear, and concise.</b> This is what your Site Title and a 
                Tagline should be on your sub-pages. Basically, you want to capture the spirit 
                of the above-typed Headline and the U.S.P. content. <b>But you want to use half 
                the words.</b> Around 8 words for the Site Title and 25 words for the Tagline.</p>
                
                <p><i><strong>Note:</strong> Most WordPress users make the mistake of simply writing their 
                domain name as the Site Title. This is not always the best course of action. It may be. But the Site Title is the first line a new user reads, and hence, should describe the product or service that you actually provide. And recall that 
                your domain name (your brand name) will be displayed in the adjacent logo 
                anyway.</i></p>
                
                <p><b>Keep in mind that people who land on your sub-pages are often of a 
                different mindset--than people who land on your homepage.</b> We will often be 
                using the other pages of our website to offer ancillary value to casual internet 
                searchers. For example, suppose our homepage sold an ebook on &quot;dog training.&quot; <b>
                But many internet visitors might stumble upon our website via one of our 
                sub-pages.</b> (Not our homepage.) Perhaps they've found us via one of our 
                sub-pages entitled &quot;A list of dog breeds in North America.&quot; Now the commercial 
                intent of such users, is more ethereal. They are probably not in an immediate 
                &quot;ebook-buying&quot; mood. Hence, we use slightly different content on sub-pages, than 
                we would on the homepage.</p>

            </div> 
            
			<p>Setup the WordPress <a title="Click here to open the General Settings page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>options-general.php'>General Settings</a> page.</p>
                    
                      
            <h4><a onclick="showhideHelp('div_help_permalinks')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> G. Permalink Settings</h4>
            
            <div class="divhelpbox" style="display: none;" id="div_help_permalinks">
            
             
            	<p><strong>The ideal setting for most sites will be to use the "Post name" as the permalink.</strong> Older versions of WordPress did not feature this option by default. So it must be typed manually on them--e.g. you'd select the "Custom Structure" option and enter the below code:</p>
                
                <blockquote style="font-family: 'Courier New', Courier, monospace;">/%postname%/</blockquote>

            </div> 
            
			<p>Setup the WordPress <a title="Click here to open the Permalink Settings page (in a new tab)." target='_blank' href='<?php echo get_admin_url(); ?>options-permalink.php'>Permalink Settings</a> page.</p>
                  
                                                                      
        </fieldset>
        
        
          
      
        <input type="submit" class="button-primary" value="Save Settings" />
        
    </form>
    
    </div> 
    
	<?php theIconSelector(); ?> 

<?php } ?>