<?php

// remove stipping of the bio info - http://www.itsabhik.com/wp-plugins/allow-html-in-wordpress-author-bio.html
// by default, wodpress doesnt allow html in the bio box - there are also author bio plugins you can download too
remove_filter('pre_user_description', 'wp_filter_kses');
add_filter( 'pre_user_description', 'wp_filter_post_kses' );


// Use shortcodes in text widgets.
add_filter('widget_text', 'do_shortcode');

// ====================================================
// Start - shortcode for calling custom fields from post
// ====================================================
// based on http://wpsitebuddy.com/shortcodes-custom-fields-and-javascript-15586/
function my_func_to_call_customfields_from_post($atts) {
	

	// example: [insertCustomField name="js_for_screenshots" id="114"]
	// I had to place the ID here because the guy's original version woulnt work if called from the hompeage
	// another way to do it would just be to use an INCLUDE type of plugin http://wordpress.org/extend/plugins/shortcode-exec-php/
	
	$name = $atts['name'];
	$id = $atts['id'];	
	
	// if there's nothing there then exit.
	if (empty($name)) return;
	
	return get_post_meta($id, $name, true); 
	
} 

// JQuery
// http://css-tricks.com/snippets/wordpress/include-jquery-in-wordpress-theme/
function my_jquery_enqueue() {
   wp_deregister_script('jquery');
   wp_register_script('jquery', "http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js", false, null);
   wp_enqueue_script('jquery');
}
if (!is_admin()) add_action("wp_enqueue_scripts", "my_jquery_enqueue", 11);


	
add_shortcode('insertCustomField', 'my_func_to_call_customfields_from_post');

// ====================================================
// End - shortcode for calling custom fields from post
// ====================================================


// ====================================================
// Start - shortcode for calling custom templates from posts
// ====================================================

// based on http://stackoverflow.com/questions/12325348/calling-wordpress-get-template-part-from-insde-a-shortcode-function-renders-temp
function my_func_to_call_TemplateHere($atts) {

	// example: [InsertTemplateHere name="tplate-buy-button"]

	$name = $atts['name'];
		
	// if there's nothing there then exit.
	if (empty($name)) return;
		
    ob_start();  
    get_template_part($name);  
    $ret = ob_get_contents();  
    ob_end_clean();  
    return $ret;  

	
} 
	
add_shortcode('InsertTemplateHere', 'my_func_to_call_TemplateHere');

// ====================================================
// End 
// ====================================================


// bring in framework php functions
require_once('framework/functions-fw.php');
	
// My custom strawberry link in the admin page
add_action('admin_menu', 'my_func_to_register_custom_menu_page');
function my_func_to_register_custom_menu_page() {
   add_menu_page('Go to Sprezzatura', 'Sprezzatura', 'administrator', 'themes.php?page=sprezzatura-theme-options', '', get_bloginfo('template_url') . '/framework/images/icon.png');
}

// theme options functions
require_once ( get_stylesheet_directory() . '/framework/sprezzatura-theme-options.php' );
// meta box functions
require_once ( get_stylesheet_directory() . '/framework/sprezzatura-post-box.php' );
// page box functions
require_once ( get_stylesheet_directory() . '/framework/sprezzatura-page-box.php' );

// Register widgets. NOTE, for some reason some functions MUST reference the ID. The uer manual is a lie! Also, i think it must be a 'small' name or it wont work.

register_sidebar(
	array(
		'name' => 'Homepage Email Optin Box',	
		'description' => 'This box is located to the right of the homepage video. Ideally, you should place the email box code here--that you get from your email marketing software provider (e.g. from Aweber.com or MailChimp.com). Use the "Text Widget" to place in text or code.',
		'id' => 'frontoptbox',
		'before_widget' => '',
        'after_widget' => ''
	)
);

register_sidebar(
	array(
		'name' => 'Homepage Special Announcement',	
		'description' => 'This box is located below the video on the homepage. You can use it for special attention-grabbing announcements--like a new sale.',
		'id' => 'frontsalebox',	
		'before_widget' => '',
        'after_widget' => ''		
	)
);
register_sidebar(
	array(
		'name' => 'Sidebar Box for Posts - Styled',	
		'description' => 'This box is located on the top right of every page (except the homepage). This is the most important ad area on the Sprezzatura theme. Hence you should place something important here like a description of your primary product.',
		'id' => 'sidebox1'		
	)
);

register_sidebar(
	array(
		'name' => 'Sidebar Box for Posts - White',	
		'description' => 'This box is located just below the "styled" box above.'
	)
);

register_sidebar(
	array(
		'name' => 'Sidebar Box - For Pages',	
		'description' => 'This box is for WordPress "Pages" (not Posts). Pages are typically used for administrative information and hence, you may want to lighten the "pitch" you use on the sidebar here.'
	)
);


register_sidebar(
	array(
		'name' => 'Homepage Footer',	
		'description' => 'This box is located at the very bottom of the homepage.',
		'id' => 'frontfooter',
		'before_widget' => '',
        'after_widget' => ''
	)
);


// register the menu support	
add_theme_support('menus'); 
register_nav_menu( 'sprez-navhome', 'Sprezzatura NavBar for Homepage' );
register_nav_menu( 'sprez-navsub', 'Sprezzatura NavBar for Subpages' );
register_nav_menu( 'sprez-footer', 'Sprezzatura Footer' );	

// ========================================================================
// Featured Images
// ========================================================================
// register featured images - http://codex.wordpress.org/Function_Reference/set_post_thumbnail_size

add_theme_support( 'post-thumbnails' );

// when the_post_thumbnail() is called (with nothing between the parentheses) the original full size image will be rendered to fit in this box.
// it is of course just using browser-based image resizing - and hence doesnt always appear very good.
// set_post_thumbnail_size( 133, 133, true ); 

add_image_size( 'sprezzatura-featured-image', 336, 220, true );
add_image_size( 'sprezzatura-sidebar-image', 120, 79, true );

// ========================================================================
// CUSTOM BACKGROUNDS - START
// ========================================================================
// Unfortunately "register_default_backgrounds" does not exist (as it does for headers) So i cant give the user several to choose...
// This is a depracated function, but it works... I COULD NOT get the new function to work!!! Maybe a wordpress bug...

add_custom_background( 'my_custom_background_callback' );

// This function takes care of another wp bug described here:
// http://justintadlock.com/archives/2011/06/08/custom-background-fix-for-theme-developers
function my_custom_background_callback() {

	/* Get the background image. */
	$image = get_background_image();

	/* If there's an image, just call the normal WordPress callback. We won't do anything here. */
	if ( !empty( $image ) ) {
		_custom_background_cb();
		return;
	}

	/* Get the background color. */
	$color = get_background_color();

	/* If no background color, return. */
	if ( empty( $color ) )
		return;

	/* Use 'background' instead of 'background-color'. */
	$style = "background: #{$color};";

	echo "<style type='text/css'>body { " . trim( $style ) . " }</style>";

}

// ========================================================================
// END CUSTOM BACKGROUNDS
// ========================================================================


// ========================================================================
// START CUSTOM HEADER (really the logo)
// notes: http://www.wpbeginner.com/wp-themes/how-to-enable-custom-header-images-panel-in-wordpress-3-0/
// ========================================================================

// Set my function called "sprez_yourtheme_setup()" to run when the 'after_setup_theme' HOOK is fired. */
add_action( 'after_setup_theme', 'sprez_yourtheme_setup' );

if ( ! function_exists('sprez_yourtheme_setup') ):

	function sprez_yourtheme_setup() {
		

		define( 'HEADER_TEXTCOLOR', '' );
		define( 'HEADER_IMAGE', '%s/images/headers/mouse.jpg' );
		define( 'NO_HEADER_TEXT', true );
		
		define( 'HEADER_IMAGE_WIDTH', apply_filters( 'yourtheme_header_image_width', 175 ) );
		define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'yourtheme_header_image_height', 175 ) );		
		

		// this starts the header. i could have put a style here if i wanted to... http://codex.wordpress.org/Function_Reference/add_custom_image_header
		add_custom_image_header(NULL,NULL);
			
		// puts the default pics in the admin page
		register_default_headers( array (
			'fox' => array (
			'url' => '%s/images/headers/fox.jpg',
			'thumbnail_url' => '%s/images/headers/thumbnails/fox.jpg',
			'description' => __( 'fox', 'Sprezzatura' )
			),
			'dog' => array (
			'url' => '%s/images/headers/dog.jpg',
			'thumbnail_url' => '%s/images/headers/thumbnails/dog.jpg',
			'description' => __( 'dog', 'Sprezzatura' )
			),
			'bird' => array (
			'url' => '%s/images/headers/bird.jpg',
			'thumbnail_url' => '%s/images/headers/thumbnails/bird.jpg',
			'description' => __( 'bird', 'Sprezzatura' )
			),			
			'mouse' => array (
			'url' => '%s/images/headers/mouse.jpg',
			'thumbnail_url' => '%s/images/headers/thumbnails/mouse.jpg',
			'description' => __( 'mouse', 'Sprezzatura' )
			)
		) );
		
	} // END function

endif;


// ========================================================================
// Generic Functions
// ========================================================================

function the_pretty_domain_name() {
	$tmp = get_bloginfo( 'wpurl' );
	$tmp = str_replace("http://", "", $tmp);
	$tmp = str_replace("localhost", "", $tmp);
	$tmp = str_replace("/", "", $tmp);
	
	echo $tmp;
}

function the_slug() {
	$post_data = get_post($post->ID, ARRAY_A);
	$slug = $post_data['post_name'];
	return $slug;
}

function the_excerpt_max_charlength($charlength) {
	
		$theFinishedLine = '';
	
        $excerpt = get_the_excerpt();
		
		// remove the [...] and trim
		$excerpt = str_replace("[...]", "", $excerpt);
		$excerpt = trim($excerpt);
	
		
		
        $charlength++;
    
        if ( mb_strlen( $excerpt ) > $charlength ) {
			
            $subex = mb_substr( $excerpt, 0, $charlength - 5 );
            $exwords = explode( ' ', $subex );
            $excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
            if ( $excut < 0 ) {
                $theFinishedLine = mb_substr( $subex, 0, $excut );
            } else {
                $theFinishedLine = $subex;
            }
            
        } else {
            $theFinishedLine = $excerpt;
        }
		
		// ================================================
		// final cleanup
		// ================================================
		
		// trim it
		$theFinishedLine = trim($theFinishedLine);	
		
		// if the last char is not a period, then put the "..."
		
		$theLastCharacter = $theFinishedLine[strlen($theFinishedLine)-1];
		
		if (($theLastCharacter != '.') and ($theLastCharacter != '!') and ($theLastCharacter != '?')) {
			$theFinishedLine = $theFinishedLine . "...";
		}
		
		return $theFinishedLine;
}	
	
function makeHTMLCompliant($instring) {
	 
	$ts = $instring;
	$ts = str_replace('"', "&quot;", $ts);
	$ts = str_replace("'", "&apos;", $ts);
	$ts = str_replace('  ', ' ', $ts);
	$ts = trim($ts);

	return $ts;
	
}

?>